aboutsummaryrefslogtreecommitdiff
diff options
context:
space:
mode:
-rw-r--r--gdb/ChangeLog18
-rw-r--r--gdb/Makefile.in128
-rw-r--r--gdb/acinclude.m4716
-rwxr-xr-xgdb/configure1344
-rw-r--r--gdb/configure.ac98
5 files changed, 568 insertions, 1736 deletions
diff --git a/gdb/ChangeLog b/gdb/ChangeLog
index 4b1d31e..6d78071 100644
--- a/gdb/ChangeLog
+++ b/gdb/ChangeLog
@@ -1,3 +1,21 @@
+2008-08-02 Keith Seitz <keiths@redhat.com>
+
+ * acinclude.m4: Include ../config/tcl.m4 to pick up
+ standard Tcl configury bits.
+ Remove all Tcl, Tk, Itcl, Itk, etc definitions.
+ * configure.ac: Don't check if ../itcl exists when building
+ gdbtk. It could be installed.
+ Rewrite gdbtk configury to allow for using system-supplied
+ Tcl and Tk. Gdbtk no longer requires build-time access to
+ itcl and itk.
+ * Makefile.in: Remove everything related to itcl and itk.
+ Rewrite the Tcl bits for gdbtk to correspond to rewrite of
+ configure.ac.
+ Remove v850ice.o build rule.
+ (ALL_TCL_CFLAGS): New convenience defintion. Change all
+ gdbtk sources to use it.
+ * configure: Regenerate.
+
2008-07-31 Stan Shebs <stan@codesourcery.com>
* coffread.c (coff_symtab_read): Remove FUNCTION_EPILOGUE_SIZE.
diff --git a/gdb/Makefile.in b/gdb/Makefile.in
index a24e29b..914a241 100644
--- a/gdb/Makefile.in
+++ b/gdb/Makefile.in
@@ -274,27 +274,15 @@ SIM = @SIM@
WIN32LIBS = @WIN32LIBS@
-# Where is the TCL library? Typically in ../tcl.
-LIB_INSTALL_DIR = $(libdir)
-# This variable is needed when doing dynamic linking.
-LIB_RUNTIME_DIR = $(libdir)
-TCL = @TCL_CC_SEARCH_FLAGS@ @TCL_BUILD_LIB_SPEC@
-TCL_CFLAGS = @TCLHDIR@
+# Tcl et al cflags and libraries
+TCL = @TCL_LIBRARY@
+TCL_CFLAGS = @TCL_INCLUDE@
GDBTKLIBS = @GDBTKLIBS@
# Extra flags that the GDBTK files need:
GDBTK_CFLAGS = @GDBTK_CFLAGS@
-# Where is the TK library? Typically in ../tk.
-TK = @TK_BUILD_LIB_SPEC@
-TK_CFLAGS = @TKHDIR@ @TK_BUILD_INCLUDES@
-
-# Where is Itcl? Typically in ../itcl/itcl.
-ITCL_CFLAGS = @ITCLHDIR@
-ITCL = @ITCLLIB@
-
-# Where is Itk? Typically in ../itcl/itk.
-ITK_CFLAGS = @ITKHDIR@
-ITK = @ITKLIB@
+TK = @TK_LIBRARY@
+TK_CFLAGS = @TK_INCLUDE@
X11_CFLAGS = @TK_XINCLUDES@
X11_LDFLAGS =
@@ -306,6 +294,8 @@ LIBGUI = @LIBGUI@
GUI_CFLAGS_X = @GUI_CFLAGS_X@
IDE_CFLAGS=$(GUI_CFLAGS_X) $(IDE_CFLAGS_X)
+ALL_TCL_CFLAGS = $(TCL_CFLAGS) $(TK_CFLAGS)
+
# The version of gdbtk we're building. This should be kept
# in sync with GDBTK_VERSION and friends in gdbtk.h.
GDBTK_VERSION = 1.0
@@ -325,8 +315,7 @@ SUBDIR_GDBTK_SRCS = \
gdbtk/generic/gdbtk-register.c gdbtk/generic/gdbtk-stack.c \
gdbtk/generic/gdbtk-varobj.c gdbtk/generic/gdbtk-wrapper.c \
gdbtk/generic/gdbtk-main.c
-SUBDIR_GDBTK_DEPS = \
- $(LIBGUI) $(ITCL_DEPS) $(ITK_DEPS) $(TK_DEPS) $(TCL_DEPS)
+SUBDIR_GDBTK_DEPS = $(LIBGUI) $(TCL_DEPS) $(TK_DEPS)
SUBDIR_GDBTK_LDFLAGS=
SUBDIR_GDBTK_CFLAGS= -DGDBTK
@@ -1662,12 +1651,6 @@ printcmd.o: $(srcdir)/printcmd.c
procfs.o: $(srcdir)/procfs.c
$(CC) -c $(INTERNAL_WARN_CFLAGS) $(srcdir)/procfs.c
-v850ice.o: $(srcdir)/v850ice.c
- $(CC) -c $(INTERNAL_CFLAGS) $(IDE_CFLAGS) $(ITCL_CFLAGS) \
- $(TCL_CFLAGS) $(TK_CFLAGS) $(X11_CFLAGS) \
- $(GDBTK_CFLAGS) \
- $(srcdir)/v850ice.c
-
# Message files. Based on code in gcc/Makefile.in.
# Rules for generating translated message descriptions. Disabled by
@@ -3134,13 +3117,12 @@ gdbres.o: $(srcdir)/gdbtk/gdb.rc $(srcdir)/gdbtk/gdbtool.ico
$(WINDRES) --include $(srcdir)/gdbtk $(srcdir)/gdbtk/gdb.rc gdbres.o
gdbtk.o: $(srcdir)/gdbtk/generic/gdbtk.c \
- $(srcdir)/gdbtk/generic/gdbtk.h $(defs_h) \
- $(symtab_h) $(inferior_h) $(command_h) \
- $(bfd_h) $(symfile_h) $(objfiles_h) $(target_h) $(gdb_string_h) \
- $(tracepoint_h) $(top_h)
- $(CC) -c $(INTERNAL_CFLAGS) $(IDE_CFLAGS) $(ITCL_CFLAGS) \
- $(ITK_CFLAGS) \
- $(TCL_CFLAGS) $(TK_CFLAGS) $(X11_CFLAGS) $(GDBTK_CFLAGS)\
+ $(srcdir)/gdbtk/generic/gdbtk.h $(defs_h) \
+ $(symtab_h) $(inferior_h) $(command_h) \
+ $(bfd_h) $(symfile_h) $(objfiles_h) $(target_h) \
+ $(gdb_string_h) $(tracepoint_h) $(top_h)
+ $(CC) -c $(INTERNAL_CFLAGS) $(IDE_CFLAGS) $(ALL_TCL_CFLAGS) \
+ $(X11_CFLAGS) $(GDBTK_CFLAGS)\
$(srcdir)/gdbtk/generic/gdbtk.c \
-DGDBTK_LIBRARY=\"$(GDBTK_LIBRARY)\" -DSRC_DIR=\"$(GDBTK_SRC_DIR)\"
@@ -3149,70 +3131,74 @@ gdbtk-bp.o: $(srcdir)/gdbtk/generic/gdbtk-bp.c \
$(srcdir)/gdbtk/generic/gdbtk-cmds.h \
$(defs_h) $(breakpoint_h) $(tracepoint_h) \
$(symfile_h) $(symtab_h) $(gdb_string_h) $(observer_h)
- $(CC) -c $(INTERNAL_CFLAGS) $(IDE_CFLAGS) $(ITCL_CFLAGS) \
- $(TCL_CFLAGS) $(TK_CFLAGS) $(X11_CFLAGS) \
- $(GDBTK_CFLAGS) $(srcdir)/gdbtk/generic/gdbtk-bp.c \
- -DGDBTK_LIBRARY=\"$(GDBTK_LIBRARY)\"
+ $(CC) -c $(INTERNAL_CFLAGS) $(IDE_CFLAGS) $(ALL_TCL_CFLAGS) \
+ $(X11_CFLAGS) $(GDBTK_CFLAGS) \
+ $(srcdir)/gdbtk/generic/gdbtk-bp.c \
+ -DGDBTK_LIBRARY=\"$(GDBTK_LIBRARY)\"
gdbtk-cmds.o: $(srcdir)/gdbtk/generic/gdbtk-cmds.c \
- $(srcdir)/gdbtk/generic/gdbtk.h $(srcdir)/gdbtk/generic/gdbtk-cmds.h \
- $(defs_h) $(inferior_h) $(source_h) $(symfile_h) $(objfiles_h) \
- $(gdbcore_h) $(demangle_h) $(linespec_h) $(tui_file_h) $(top_h) \
- $(annotate_h) $(block_h) $(dictionary_h) $(gdb_string_h) \
- $(dis_asm_h) $(gdbcmd_h) $(varobj_h)
- $(CC) -c $(INTERNAL_CFLAGS) $(IDE_CFLAGS) $(ITCL_CFLAGS) \
- $(TCL_CFLAGS) $(TK_CFLAGS) $(X11_CFLAGS) \
- $(GDBTK_CFLAGS) $(srcdir)/gdbtk/generic/gdbtk-cmds.c \
- -DGDBTK_LIBRARY=\"$(GDBTK_LIBRARY)\"
+ $(srcdir)/gdbtk/generic/gdbtk.h \
+ $(srcdir)/gdbtk/generic/gdbtk-cmds.h \
+ $(defs_h) $(inferior_h) $(source_h) $(symfile_h) \
+ $(objfiles_h) $(gdbcore_h) $(demangle_h) $(linespec_h) \
+ $(tui_file_h) $(top_h) $(annotate_h) $(block_h) \
+ $(dictionary_h) $(gdb_string_h) $(dis_asm_h) $(gdbcmd_h) \
+ $(varobj_h)
+ $(CC) -c $(INTERNAL_CFLAGS) $(IDE_CFLAGS) $(ALL_TCL_CFLAGS) \
+ $(X11_CFLAGS) $(GDBTK_CFLAGS) \
+ $(srcdir)/gdbtk/generic/gdbtk-cmds.c \
+ -DGDBTK_LIBRARY=\"$(GDBTK_LIBRARY)\"
gdbtk-hooks.o: $(srcdir)/gdbtk/generic/gdbtk-hooks.c \
- $(srcdir)/gdbtk/generic/gdbtk.h $(defs_h) \
- $(symtab_h) $(inferior_h) $(command_h) \
- $(bfd_h) $(symfile_h) $(objfiles_h) $(target_h) $(gdb_string_h) \
- $(tracepoint_h) $(observer_h)
- $(CC) -c $(INTERNAL_CFLAGS) $(IDE_CFLAGS) $(ITCL_CFLAGS) \
- $(TCL_CFLAGS) $(TK_CFLAGS) $(X11_CFLAGS) $(GDBTK_CFLAGS)\
- $(srcdir)/gdbtk/generic/gdbtk-hooks.c -DGDBTK_LIBRARY=\"$(GDBTK_LIBRARY)\"
+ $(srcdir)/gdbtk/generic/gdbtk.h $(defs_h) \
+ $(symtab_h) $(inferior_h) $(command_h) \
+ $(bfd_h) $(symfile_h) $(objfiles_h) $(target_h) \
+ $(gdb_string_h) $(tracepoint_h) $(observer_h)
+ $(CC) -c $(INTERNAL_CFLAGS) $(IDE_CFLAGS) $(ALL_TCL_CFLAGS) \
+ $(X11_CFLAGS) $(GDBTK_CFLAGS)\
+ $(srcdir)/gdbtk/generic/gdbtk-hooks.c \
+ -DGDBTK_LIBRARY=\"$(GDBTK_LIBRARY)\"
gdbtk-interp.o: $(srcdir)/gdbtk/generic/gdbtk-interp.c \
- $(defs_h) $(interps_h) $(ui_out_h) $(ui_file_h) \
- $(cli_out_h) $(gdb_string_h) $(cli_cmds_h) $(cli_decode_h) \
- $(srcdir)/gdbtk/generic/gdbtk.h
- $(CC) -c $(INTERNAL_CFLAGS) $(IDE_CFLAGS) $(ITCL_CFLAGS) \
- $(TCL_CFLAGS) $(TK_CFLAGS) $(X11_CFLAGS) $(GDBTK_CFLAGS) \
+ $(defs_h) $(interps_h) $(ui_out_h) $(ui_file_h) \
+ $(cli_out_h) $(gdb_string_h) $(cli_cmds_h) $(cli_decode_h) \
+ $(srcdir)/gdbtk/generic/gdbtk.h
+ $(CC) -c $(INTERNAL_CFLAGS) $(IDE_CFLAGS) $(ALL_TCL_CFLAGS) \
+ $(X11_CFLAGS) $(GDBTK_CFLAGS) \
$(srcdir)/gdbtk/generic/gdbtk-interp.c
gdbtk-main.o: $(srcdir)/gdbtk/generic/gdbtk-main.c $(defs_h) $(main_h) \
- $(gdb_string_h)
- $(CC) -c $(INTERNAL_CFLAGS) $(IDE_CFLAGS) $(ITCL_CFLAGS) \
- $(TCL_CFLAGS) $(TK_CFLAGS) $(X11_CFLAGS) $(GDBTK_CFLAGS)\
- $(srcdir)/gdbtk/generic/gdbtk-main.c -DGDBTK_LIBRARY=\"$(GDBTK_LIBRARY)\"
+ $(gdb_string_h)
+ $(CC) -c $(INTERNAL_CFLAGS) $(IDE_CFLAGS) $(ALL_TCL_CFLAGS) \
+ $(X11_CFLAGS) $(GDBTK_CFLAGS)\
+ $(srcdir)/gdbtk/generic/gdbtk-main.c \
+ -DGDBTK_LIBRARY=\"$(GDBTK_LIBRARY)\"
gdbtk-register.o: $(srcdir)/gdbtk/generic/gdbtk-register.c \
$(srcdir)/gdbtk/generic/gdbtk.h \
$(srcdir)/gdbtk/generic/gdbtk-cmds.h \
$(defs_h) $(frame_h) $(value_h) $(gdb_string_h)
- $(CC) -c $(INTERNAL_CFLAGS) $(IDE_CFLAGS) $(ITCL_CFLAGS) \
- $(TCL_CFLAGS) $(TK_CFLAGS) $(X11_CFLAGS) \
- $(GDBTK_CFLAGS) $(srcdir)/gdbtk/generic/gdbtk-register.c \
- -DGDBTK_LIBRARY=\"$(GDBTK_LIBRARY)\"
+ $(CC) -c $(INTERNAL_CFLAGS) $(IDE_CFLAGS) $(ALL_TCL_CFLAGS) \
+ $(X11_CFLAGS) \
+ $(GDBTK_CFLAGS) $(srcdir)/gdbtk/generic/gdbtk-register.c \
+ -DGDBTK_LIBRARY=\"$(GDBTK_LIBRARY)\"
gdbtk-stack.o: $(srcdir)/gdbtk/generic/gdbtk-stack.c \
$(srcdir)/gdbtk/generic/gdbtk.h $(srcdir)/gdbtk/generic/gdbtk-cmds.h \
$(srcdir)/gdbtk/generic/gdbtk-wrapper.h \
$(defs_h) $(target_h) $(breakpoint_h) $(linespec_h) \
$(block_h) $(dictionary_h) $(varobj_h)
- $(CC) -c $(INTERNAL_CFLAGS) $(IDE_CFLAGS) $(ITCL_CFLAGS) \
- $(TCL_CFLAGS) $(TK_CFLAGS) $(X11_CFLAGS) \
- $(GDBTK_CFLAGS) $(srcdir)/gdbtk/generic/gdbtk-stack.c \
- -DGDBTK_LIBRARY=\"$(GDBTK_LIBRARY)\"
+ $(CC) -c $(INTERNAL_CFLAGS) $(IDE_CFLAGS) $(ALL_TCL_CFLAGS) \
+ $(X11_CFLAGS) $(GDBTK_CFLAGS) \
+ $(srcdir)/gdbtk/generic/gdbtk-stack.c \
+ -DGDBTK_LIBRARY=\"$(GDBTK_LIBRARY)\"
gdbtk-varobj.o: $(srcdir)/gdbtk/generic/gdbtk-varobj.c \
$(srcdir)/gdbtk/generic/gdbtk.h \
$(srcdir)/gdbtk/generic/gdbtk-wrapper.h \
$(defs_h) $(value_h) $(varobj_h) $(gdb_string_h)
- $(CC) -c $(INTERNAL_CFLAGS) $(IDE_CFLAGS) $(ITCL_CFLAGS) \
- $(TCL_CFLAGS) $(TK_CFLAGS) $(X11_CFLAGS) $(GDBTK_CFLAGS)\
+ $(CC) -c $(INTERNAL_CFLAGS) $(IDE_CFLAGS) $(ALL_TCL_CFLAGS) \
+ $(X11_CFLAGS) $(GDBTK_CFLAGS) \
$(srcdir)/gdbtk/generic/gdbtk-varobj.c
gdbtk-wrapper.o: $(srcdir)/gdbtk/generic/gdbtk-wrapper.c \
diff --git a/gdb/acinclude.m4 b/gdb/acinclude.m4
index a5e8a34..16152a5 100644
--- a/gdb/acinclude.m4
+++ b/gdb/acinclude.m4
@@ -4,7 +4,7 @@ dnl major rewriting for Tcl 7.5 by Don Libes <libes@nist.gov>
dnl gdb/configure.in uses BFD_NEED_DECLARATION, so get its definition.
sinclude(../bfd/bfd.m4)
-dnl This gets the standard macros, like the TCL, TK, etc ones.
+dnl This gets the standard macros
sinclude(../config/acinclude.m4)
dnl This gets autoconf bugfixes
@@ -20,6 +20,9 @@ sinclude(../config/lib-link.m4)
dnl For ACX_PKGVERSION and ACX_BUGURL.
sinclude(../config/acx.m4)
+dnl for TCL definitions
+sinclude(../config/tcl.m4)
+
#
# Sometimes the native compiler is a bogus stub for gcc or /usr/ucb/cc. This
# makes configure think it's cross compiling. If --target wasn't used, then
@@ -44,680 +47,12 @@ fi
AC_MSG_RESULT(yes)
])
-AC_DEFUN([CY_AC_PATH_TCLH], [
-#
-# Ok, lets find the tcl source trees so we can use the headers
-# Warning: transition of version 9 to 10 will break this algorithm
-# because 10 sorts before 9. We also look for just tcl. We have to
-# be careful that we don't match stuff like tclX by accident.
-# the alternative search directory is involked by --with-tclinclude
-#
-
-no_tcl=true
-AC_MSG_CHECKING(for Tcl private headers. dir=${configdir})
-AC_ARG_WITH(tclinclude, [ --with-tclinclude=DIR Directory where tcl private headers are], with_tclinclude=${withval})
-AC_CACHE_VAL(ac_cv_c_tclh,[
-# first check to see if --with-tclinclude was specified
-if test x"${with_tclinclude}" != x ; then
- if test -f ${with_tclinclude}/tclInt.h ; then
- ac_cv_c_tclh=`(cd ${with_tclinclude}; pwd)`
- elif test -f ${with_tclinclude}/generic/tclInt.h ; then
- ac_cv_c_tclh=`(cd ${with_tclinclude}/generic; pwd)`
- else
- AC_MSG_ERROR([${with_tclinclude} directory doesn't contain private headers])
- fi
-fi
-
-# next check if it came with Tcl configuration file
-if test x"${ac_cv_c_tclconfig}" = x ; then
- if test -f $ac_cv_c_tclconfig/../generic/tclInt.h ; then
- ac_cv_c_tclh=`(cd $ac_cv_c_tclconfig/..; pwd)`
- fi
-fi
-
-# next check in private source directory
-#
-# since ls returns lowest version numbers first, reverse its output
-if test x"${ac_cv_c_tclh}" = x ; then
- for i in \
- ${srcdir}/../tcl \
- `ls -dr ${srcdir}/../tcl[[7-9]]* 2>/dev/null` \
- ${srcdir}/../../tcl \
- `ls -dr ${srcdir}/../../tcl[[7-9]]* 2>/dev/null` \
- ${srcdir}/../../../tcl \
- `ls -dr ${srcdir}/../../../tcl[[7-9]]* 2>/dev/null ` ; do
- if test -f $i/generic/tclInt.h ; then
- ac_cv_c_tclh=`(cd $i/generic; pwd)`
- break
- fi
- done
-fi
-# finally check in a few common install locations
-#
-# since ls returns lowest version numbers first, reverse its output
-if test x"${ac_cv_c_tclh}" = x ; then
- for i in \
- `ls -dr /usr/local/src/tcl[[7-9]]* 2>/dev/null` \
- `ls -dr /usr/local/lib/tcl[[7-9]]* 2>/dev/null` \
- /usr/local/src/tcl \
- /usr/local/lib/tcl \
- ${prefix}/include ; do
- if test -f $i/generic/tclInt.h ; then
- ac_cv_c_tclh=`(cd $i/generic; pwd)`
- break
- fi
- done
-fi
-# see if one is installed
-if test x"${ac_cv_c_tclh}" = x ; then
- AC_HEADER_CHECK(tclInt.h, ac_cv_c_tclh=installed, ac_cv_c_tclh="")
-fi
-])
-if test x"${ac_cv_c_tclh}" = x ; then
- TCLHDIR="# no Tcl private headers found"
- AC_MSG_ERROR([Can't find Tcl private headers])
-fi
-if test x"${ac_cv_c_tclh}" != x ; then
- no_tcl=""
- if test x"${ac_cv_c_tclh}" = x"installed" ; then
- AC_MSG_RESULT([is installed])
- TCLHDIR=""
- else
- AC_MSG_RESULT([found in ${ac_cv_c_tclh}])
- # this hack is cause the TCLHDIR won't print if there is a "-I" in it.
- TCLHDIR="-I${ac_cv_c_tclh}"
- fi
-fi
-
-AC_SUBST(TCLHDIR)
-])
-
-
-AC_DEFUN([CY_AC_PATH_TCLCONFIG], [
-#
-# Ok, lets find the tcl configuration
-# First, look for one uninstalled.
-# the alternative search directory is invoked by --with-tclconfig
-#
-
-if test x"${no_tcl}" = x ; then
- # we reset no_tcl in case something fails here
- no_tcl=true
- AC_ARG_WITH(tclconfig, [ --with-tclconfig=DIR Directory containing tcl configuration (tclConfig.sh)],
- with_tclconfig=${withval})
- AC_MSG_CHECKING([for Tcl configuration])
- AC_CACHE_VAL(ac_cv_c_tclconfig,[
-
- # First check to see if --with-tclconfig was specified.
- if test x"${with_tclconfig}" != x ; then
- if test -f "${with_tclconfig}/tclConfig.sh" ; then
- ac_cv_c_tclconfig=`(cd ${with_tclconfig}; pwd)`
- else
- AC_MSG_ERROR([${with_tclconfig} directory doesn't contain tclConfig.sh])
- fi
- fi
-
- # then check for a private Tcl installation
- if test x"${ac_cv_c_tclconfig}" = x ; then
- for i in \
- ../tcl \
- `ls -dr ../tcl[[7-9]]* 2>/dev/null` \
- ../../tcl \
- `ls -dr ../../tcl[[7-9]]* 2>/dev/null` \
- ../../../tcl \
- `ls -dr ../../../tcl[[7-9]]* 2>/dev/null` ; do
- if test -f "$i/${configdir}/tclConfig.sh" ; then
- ac_cv_c_tclconfig=`(cd $i/${configdir}; pwd)`
- break
- fi
- done
- fi
- # check in a few common install locations
- if test x"${ac_cv_c_tclconfig}" = x ; then
- for i in `ls -d ${prefix}/lib /usr/local/lib 2>/dev/null` ; do
- if test -f "$i/tclConfig.sh" ; then
- ac_cv_c_tclconfig=`(cd $i; pwd)`
- break
- fi
- done
- fi
- # check in a few other private locations
- if test x"${ac_cv_c_tclconfig}" = x ; then
- for i in \
- ${srcdir}/../tcl \
- `ls -dr ${srcdir}/../tcl[[7-9]]* 2>/dev/null` ; do
- if test -f "$i/${configdir}/tclConfig.sh" ; then
- ac_cv_c_tclconfig=`(cd $i/${configdir}; pwd)`
- break
- fi
- done
- fi
- ])
- if test x"${ac_cv_c_tclconfig}" = x ; then
- TCLCONFIG="# no Tcl configs found"
- AC_MSG_WARN(Can't find Tcl configuration definitions)
- else
- no_tcl=
- TCLCONFIG=${ac_cv_c_tclconfig}/tclConfig.sh
- AC_MSG_RESULT(found $TCLCONFIG)
- fi
-fi
-])
-
-# Defined as a separate macro so we don't have to cache the values
-# from PATH_TCLCONFIG (because this can also be cached).
-AC_DEFUN([CY_AC_LOAD_TCLCONFIG], [
- . $TCLCONFIG
-
- AC_SUBST(TCL_VERSION)
- AC_SUBST(TCL_MAJOR_VERSION)
- AC_SUBST(TCL_MINOR_VERSION)
- AC_SUBST(TCL_CC)
- AC_SUBST(TCL_DEFS)
-
-dnl not used, don't export to save symbols
-dnl AC_SUBST(TCL_LIB_FILE)
-
-dnl don't export, not used outside of configure
-dnl AC_SUBST(TCL_LIBS)
-dnl not used, don't export to save symbols
-dnl AC_SUBST(TCL_PREFIX)
-
-dnl not used, don't export to save symbols
-dnl AC_SUBST(TCL_EXEC_PREFIX)
-
- AC_SUBST(TCL_SHLIB_CFLAGS)
- AC_SUBST(TCL_SHLIB_LD)
-dnl don't export, not used outside of configure
- AC_SUBST(TCL_SHLIB_LD_LIBS)
- AC_SUBST(TCL_SHLIB_SUFFIX)
-dnl not used, don't export to save symbols
- AC_SUBST(TCL_DL_LIBS)
- AC_SUBST(TCL_LD_FLAGS)
-dnl don't export, not used outside of configure
- AC_SUBST(TCL_LD_SEARCH_FLAGS)
- AC_SUBST(TCL_CC_SEARCH_FLAGS)
- AC_SUBST(TCL_COMPAT_OBJS)
- AC_SUBST(TCL_RANLIB)
- AC_SUBST(TCL_BUILD_LIB_SPEC)
- AC_SUBST(TCL_LIB_SPEC)
- AC_SUBST(TCL_LIB_VERSIONS_OK)
-
-dnl not used, don't export to save symbols
-dnl AC_SUBST(TCL_SHARED_LIB_SUFFIX)
-
-dnl not used, don't export to save symbols
-dnl AC_SUBST(TCL_UNSHARED_LIB_SUFFIX)
-])
-
-# Warning: Tk definitions are very similar to Tcl definitions but
-# are not precisely the same. There are a couple of differences,
-# so don't do changes to Tcl thinking you can cut and paste it do
-# the Tk differences and later simply substitute "Tk" for "Tcl".
-# Known differences:
-# - Acceptable Tcl major version #s is 7-9 while Tk is 4-9
-# - Searching for Tcl includes looking for tclInt.h, Tk looks for tk.h
-# - Computing major/minor versions is different because Tk depends on
-# headers to Tcl, Tk, and X.
-# - Symbols in tkConfig.sh are different than tclConfig.sh
-# - Acceptable for Tk to be missing but not Tcl.
-
-AC_DEFUN([CY_AC_PATH_TKH], [
-#
-# Ok, lets find the tk source trees so we can use the headers
-# If the directory (presumably symlink) named "tk" exists, use that one
-# in preference to any others. Same logic is used when choosing library
-# and again with Tcl. The search order is the best place to look first, then in
-# decreasing significance. The loop breaks if the trigger file is found.
-# Note the gross little conversion here of srcdir by cd'ing to the found
-# directory. This converts the path from a relative to an absolute, so
-# recursive cache variables for the path will work right. We check all
-# the possible paths in one loop rather than many seperate loops to speed
-# things up.
-# the alternative search directory is involked by --with-tkinclude
-#
-no_tk=true
-AC_MSG_CHECKING(for Tk private headers)
-AC_ARG_WITH(tkinclude, [ --with-tkinclude=DIR Directory where tk private headers are], with_tkinclude=${withval})
-AC_CACHE_VAL(ac_cv_c_tkh,[
-# first check to see if --with-tkinclude was specified
-if test x"${with_tkinclude}" != x ; then
- if test -f ${with_tkinclude}/tk.h ; then
- ac_cv_c_tkh=`(cd ${with_tkinclude}; pwd)`
- elif test -f ${with_tkinclude}/generic/tk.h ; then
- ac_cv_c_tkh=`(cd ${with_tkinclude}/generic; pwd)`
- else
- AC_MSG_ERROR([${with_tkinclude} directory doesn't contain private headers])
- fi
-fi
-
-# next check if it came with Tk configuration file
-if test x"${ac_cv_c_tkconfig}" = x ; then
- if test -f $ac_cv_c_tkconfig/../generic/tk.h ; then
- ac_cv_c_tkh=`(cd $ac_cv_c_tkconfig/..; pwd)`
- fi
-fi
-
-# next check in private source directory
-#
-# since ls returns lowest version numbers first, reverse its output
-if test x"${ac_cv_c_tkh}" = x ; then
- for i in \
- ${srcdir}/../tk \
- `ls -dr ${srcdir}/../tk[[4-9]]* 2>/dev/null` \
- ${srcdir}/../../tk \
- `ls -dr ${srcdir}/../../tk[[4-9]]* 2>/dev/null` \
- ${srcdir}/../../../tk \
- `ls -dr ${srcdir}/../../../tk[[4-9]]* 2>/dev/null ` ; do
- if test -f $i/generic/tk.h ; then
- ac_cv_c_tkh=`(cd $i/generic; pwd)`
- break
- fi
- done
-fi
-# finally check in a few common install locations
-#
-# since ls returns lowest version numbers first, reverse its output
-if test x"${ac_cv_c_tkh}" = x ; then
- for i in \
- `ls -dr /usr/local/src/tk[[4-9]]* 2>/dev/null` \
- `ls -dr /usr/local/lib/tk[[4-9]]* 2>/dev/null` \
- /usr/local/src/tk \
- /usr/local/lib/tk \
- ${prefix}/include ; do
- if test -f $i/generic/tk.h ; then
- ac_cv_c_tkh=`(cd $i/generic; pwd)`
- break
- fi
- done
-fi
-# see if one is installed
-if test x"${ac_cv_c_tkh}" = x ; then
- AC_HEADER_CHECK(tk.h, ac_cv_c_tkh=installed, ac_cv_c_tkh="")
-fi
-])
-if test x"${ac_cv_c_tkh}" != x ; then
- no_tk=""
- if test x"${ac_cv_c_tkh}" = x"installed" ; then
- AC_MSG_RESULT([is installed])
- TKHDIR=""
- else
- AC_MSG_RESULT([found in ${ac_cv_c_tkh}])
- # this hack is cause the TKHDIR won't print if there is a "-I" in it.
- TKHDIR="-I${ac_cv_c_tkh}"
- fi
-else
- TKHDIR="# no Tk directory found"
- AC_MSG_WARN([Can't find Tk private headers])
- no_tk=true
-fi
-
-AC_SUBST(TKHDIR)
-])
-
-
-AC_DEFUN([CY_AC_PATH_TKCONFIG], [
-#
-# Ok, lets find the tk configuration
-# First, look for one uninstalled.
-# the alternative search directory is invoked by --with-tkconfig
-#
-
-if test x"${no_tk}" = x ; then
- # we reset no_tk in case something fails here
- no_tk=true
- AC_ARG_WITH(tkconfig, [ --with-tkconfig=DIR Directory containing tk configuration (tkConfig.sh)],
- with_tkconfig=${withval})
- AC_MSG_CHECKING([for Tk configuration])
- AC_CACHE_VAL(ac_cv_c_tkconfig,[
-
- # First check to see if --with-tkconfig was specified.
- if test x"${with_tkconfig}" != x ; then
- if test -f "${with_tkconfig}/tkConfig.sh" ; then
- ac_cv_c_tkconfig=`(cd ${with_tkconfig}; pwd)`
- else
- AC_MSG_ERROR([${with_tkconfig} directory doesn't contain tkConfig.sh])
- fi
- fi
-
- # then check for a private Tk library
- if test x"${ac_cv_c_tkconfig}" = x ; then
- for i in \
- ../tk \
- `ls -dr ../tk[[4-9]]* 2>/dev/null` \
- ../../tk \
- `ls -dr ../../tk[[4-9]]* 2>/dev/null` \
- ../../../tk \
- `ls -dr ../../../tk[[4-9]]* 2>/dev/null` ; do
- if test -f "$i/${configdir}/tkConfig.sh" ; then
- ac_cv_c_tkconfig=`(cd $i/${configdir}; pwd)`
- break
- fi
- done
- fi
- # check in a few common install locations
- if test x"${ac_cv_c_tkconfig}" = x ; then
- for i in `ls -d ${prefix}/lib /usr/local/lib 2>/dev/null` ; do
- if test -f "$i/tkConfig.sh" ; then
- ac_cv_c_tkconfig=`(cd $i; pwd)`
- break
- fi
- done
- fi
- # check in a few other private locations
- if test x"${ac_cv_c_tkconfig}" = x ; then
- for i in \
- ${srcdir}/../tk \
- `ls -dr ${srcdir}/../tk[[4-9]]* 2>/dev/null` ; do
- if test -f "$i/${configdir}/tkConfig.sh" ; then
- ac_cv_c_tkconfig=`(cd $i/${configdir}; pwd)`
- break
- fi
- done
- fi
- ])
- if test x"${ac_cv_c_tkconfig}" = x ; then
- TKCONFIG="# no Tk configs found"
- AC_MSG_WARN(Can't find Tk configuration definitions)
- else
- no_tk=
- TKCONFIG=${ac_cv_c_tkconfig}/tkConfig.sh
- AC_MSG_RESULT(found $TKCONFIG)
- fi
-fi
-
-])
-
-# Defined as a separate macro so we don't have to cache the values
-# from PATH_TKCONFIG (because this can also be cached).
-AC_DEFUN([CY_AC_LOAD_TKCONFIG], [
- if test -f "$TKCONFIG" ; then
- . $TKCONFIG
- fi
-
- AC_SUBST(TK_VERSION)
-dnl not actually used, don't export to save symbols
-dnl AC_SUBST(TK_MAJOR_VERSION)
-dnl AC_SUBST(TK_MINOR_VERSION)
- AC_SUBST(TK_DEFS)
-
-dnl not used, don't export to save symbols
- dnl AC_SUBST(TK_LIB_FILE)
-
-dnl not used outside of configure
-dnl AC_SUBST(TK_LIBS)
-dnl not used, don't export to save symbols
-dnl AC_SUBST(TK_PREFIX)
-
-dnl not used, don't export to save symbols
-dnl AC_SUBST(TK_EXEC_PREFIX)
-
- AC_SUBST(TK_BUILD_INCLUDES)
- AC_SUBST(TK_XINCLUDES)
- AC_SUBST(TK_XLIBSW)
- AC_SUBST(TK_BUILD_LIB_SPEC)
- AC_SUBST(TK_LIB_SPEC)
-])
-
-# check for Itcl headers.
-
-AC_DEFUN([CY_AC_PATH_ITCLCONFIG], [
-#
-# Ok, lets find the itcl configuration
-# First, look for one uninstalled.
-# the alternative search directory is invoked by --with-itclconfig
-#
-
-if test x"${no_itcl}" = x ; then
- # we reset no_itcl in case something fails here
- no_itcl=true
- AC_ARG_WITH(itclconfig, [ --with-itclconfig Directory containing itcl configuration (itclConfig.sh)],
- with_itclconfig=${withval})
- AC_MSG_CHECKING([for Itcl configuration])
- AC_CACHE_VAL(ac_cv_c_itclconfig,[
-
- # First check to see if --with-itclconfig was specified.
- if test x"${with_itclconfig}" != x ; then
- if test -f "${with_itclconfig}/itclConfig.sh" ; then
- ac_cv_c_itclconfig=`(cd ${with_itclconfig}; pwd)`
- else
- AC_MSG_ERROR([${with_itclconfig} directory doesn't contain itclConfig.sh])
- fi
- fi
-
- # then check for a private Itcl library
- if test x"${ac_cv_c_itclconfig}" = x ; then
- for i in \
- ../itcl/itcl \
- `ls -dr ../itcl[[4-9]]*/itcl 2>/dev/null` \
- ../../itcl \
- `ls -dr ../../itcl[[4-9]]*/itcl 2>/dev/null` \
- ../../../itcl \
- `ls -dr ../../../itcl[[4-9]]*/itcl 2>/dev/null` ; do
- if test -f "$i/itclConfig.sh" ; then
- ac_cv_c_itclconfig=`(cd $i; pwd)`
- break
- fi
- done
- fi
- # check in a few common install locations
- if test x"${ac_cv_c_itclconfig}" = x ; then
- for i in `ls -d ${prefix}/lib /usr/local/lib 2>/dev/null` ; do
- if test -f "$i/itclConfig.sh" ; then
- ac_cv_c_itclconfig=`(cd $i; pwd)`
- break
- fi
- done
- fi
- # check in a few other private locations
- if test x"${ac_cv_c_itclconfig}" = x ; then
- for i in \
- ${srcdir}/../itcl/itcl \
- `ls -dr ${srcdir}/../itcl[[4-9]]*/itcl 2>/dev/null` ; do
- if test -f "$i/itclConfig.sh" ; then
- ac_cv_c_itclconfig=`(cd $i; pwd)`
- break
- fi
- done
- fi
- ])
- if test x"${ac_cv_c_itclconfig}" = x ; then
- ITCLCONFIG="# no Itcl configs found"
- AC_MSG_WARN(Can't find Itcl configuration definitions)
- else
- no_itcl=
- ITCLCONFIG=${ac_cv_c_itclconfig}/itclConfig.sh
- AC_MSG_RESULT(found $ITCLCONFIG)
- fi
-fi
-])
-
-# Defined as a separate macro so we don't have to cache the values
-# from PATH_ITCLCONFIG (because this can also be cached).
-AC_DEFUN([CY_AC_LOAD_ITCLCONFIG], [
- if test -f "$ITCLCONFIG" ; then
- . $ITCLCONFIG
- fi
-
- AC_SUBST(ITCL_VERSION)
-dnl not actually used, don't export to save symbols
-dnl AC_SUBST(ITCL_MAJOR_VERSION)
-dnl AC_SUBST(ITCL_MINOR_VERSION)
- AC_SUBST(ITCL_DEFS)
-
-dnl not used, don't export to save symbols
- dnl AC_SUBST(ITCL_LIB_FILE)
-
-dnl not used outside of configure
-dnl AC_SUBST(ITCL_LIBS)
-dnl not used, don't export to save symbols
-dnl AC_SUBST(ITCL_PREFIX)
-
-dnl not used, don't export to save symbols
-dnl AC_SUBST(ITCL_EXEC_PREFIX)
-
- AC_SUBST(ITCL_BUILD_INCLUDES)
- AC_SUBST(ITCL_BUILD_LIB_SPEC)
- AC_SUBST(ITCL_LIB_SPEC)
-])
-
-# check for Itcl headers.
-
-AC_DEFUN([CY_AC_PATH_ITCLH], [
-AC_MSG_CHECKING(for Itcl private headers. srcdir=${srcdir})
-if test x"${ac_cv_c_itclh}" = x ; then
- for i in ${srcdir}/../itcl ${srcdir}/../../itcl ${srcdir}/../../../itcl ${srcdir}/../itcl/itcl; do
- if test -f $i/generic/itcl.h ; then
- ac_cv_c_itclh=`(cd $i/generic; pwd)`
- break
- fi
- done
-fi
-if test x"${ac_cv_c_itclh}" = x ; then
- ITCLHDIR="# no Itcl private headers found"
- AC_MSG_ERROR([Can't find Itcl private headers])
-fi
-if test x"${ac_cv_c_itclh}" != x ; then
- ITCLHDIR="-I${ac_cv_c_itclh}"
-fi
-# should always be here
-# ITCLLIB="../itcl/itcl/unix/libitcl.a"
-AC_SUBST(ITCLHDIR)
-#AC_SUBST(ITCLLIB)
-])
-
-
-AC_DEFUN([CY_AC_PATH_ITKCONFIG], [
-#
-# Ok, lets find the itk configuration
-# First, look for one uninstalled.
-# the alternative search directory is invoked by --with-itkconfig
-#
-
-if test x"${no_itk}" = x ; then
- # we reset no_itk in case something fails here
- no_itk=true
- AC_ARG_WITH(itkconfig, [ --with-itkconfig Directory containing itk configuration (itkConfig.sh)],
- with_itkconfig=${withval})
- AC_MSG_CHECKING([for Itk configuration])
- AC_CACHE_VAL(ac_cv_c_itkconfig,[
-
- # First check to see if --with-itkconfig was specified.
- if test x"${with_itkconfig}" != x ; then
- if test -f "${with_itkconfig}/itkConfig.sh" ; then
- ac_cv_c_itkconfig=`(cd ${with_itkconfig}; pwd)`
- else
- AC_MSG_ERROR([${with_itkconfig} directory doesn't contain itkConfig.sh])
- fi
- fi
-
- # then check for a private Itk library
- if test x"${ac_cv_c_itkconfig}" = x ; then
- for i in \
- ../itcl/itk \
- `ls -dr ../itcl[[4-9]]*/itk 2>/dev/null` \
- ../../itk \
- `ls -dr ../../itcl[[4-9]]*/itk 2>/dev/null` \
- ../../../itk \
- `ls -dr ../../../itcl[[4-9]]*/itk 2>/dev/null` ; do
- if test -f "$i/itkConfig.sh" ; then
- ac_cv_c_itkconfig=`(cd $i; pwd)`
- break
- fi
- done
- fi
- # check in a few common install locations
- if test x"${ac_cv_c_itkconfig}" = x ; then
- for i in `ls -d ${prefix}/lib /usr/local/lib 2>/dev/null` ; do
- if test -f "$i/itkConfig.sh" ; then
- ac_cv_c_itkconfig=`(cd $i; pwd)`
- break
- fi
- done
- fi
- # check in a few other private locations
- if test x"${ac_cv_c_itkconfig}" = x ; then
- for i in \
- ${srcdir}/../itcl/itk \
- `ls -dr ${srcdir}/../itcl[[4-9]]*/itk 2>/dev/null` ; do
- if test -f "$i/itkConfig.sh" ; then
- ac_cv_c_itkconfig=`(cd $i; pwd)`
- break
- fi
- done
- fi
- ])
- if test x"${ac_cv_c_itkconfig}" = x ; then
- ITKCONFIG="# no Itk configs found"
- AC_MSG_WARN(Can't find Itk configuration definitions)
- else
- no_itk=
- ITKCONFIG=${ac_cv_c_itkconfig}/itkConfig.sh
- AC_MSG_RESULT(found $ITKCONFIG)
- fi
-fi
-
-])
-
-# Defined as a separate macro so we don't have to cache the values
-# from PATH_ITKCONFIG (because this can also be cached).
-AC_DEFUN([CY_AC_LOAD_ITKCONFIG], [
- if test -f "$ITKCONFIG" ; then
- . $ITKCONFIG
- fi
-
- AC_SUBST(ITK_VERSION)
-dnl not actually used, don't export to save symbols
-dnl AC_SUBST(ITK_MAJOR_VERSION)
-dnl AC_SUBST(ITK_MINOR_VERSION)
- AC_SUBST(ITK_DEFS)
-
-dnl not used, don't export to save symbols
- dnl AC_SUBST(ITK_LIB_FILE)
-
-dnl not used outside of configure
-dnl AC_SUBST(ITK_LIBS)
-dnl not used, don't export to save symbols
-dnl AC_SUBST(ITK_PREFIX)
-
-dnl not used, don't export to save symbols
-dnl AC_SUBST(ITK_EXEC_PREFIX)
-
- AC_SUBST(ITK_BUILD_INCLUDES)
- AC_SUBST(ITK_BUILD_LIB_SPEC)
- AC_SUBST(ITK_LIB_SPEC)
-])
-
-AC_DEFUN([CY_AC_PATH_ITKH], [
-AC_MSG_CHECKING(for Itk private headers. srcdir=${srcdir})
-if test x"${ac_cv_c_itkh}" = x ; then
- for i in ${srcdir}/../itcl ${srcdir}/../../itcl ${srcdir}/../../../itcl ${srcdir}/../itcl/itk; do
- if test -f $i/generic/itk.h ; then
- ac_cv_c_itkh=`(cd $i/generic; pwd)`
- break
- fi
- done
-fi
-if test x"${ac_cv_c_itkh}" = x ; then
- ITKHDIR="# no Itk private headers found"
- AC_MSG_ERROR([Can't find Itk private headers])
-fi
-if test x"${ac_cv_c_itkh}" != x ; then
- ITKHDIR="-I${ac_cv_c_itkh}"
-fi
-# should always be here
-# ITKLIB="../itcl/itk/unix/libitk.a"
-AC_SUBST(ITKHDIR)
-#AC_SUBST(ITKLIB)
-])
-
-
## ----------------------------------------- ##
## ANSIfy the C compiler whenever possible. ##
## From Franc,ois Pinard ##
## ----------------------------------------- ##
-# Copyright (C) 1996, 1997, 1999, 2000, 2001 Free Software Foundation, Inc.
+# Copyright (C) 1996, 1997, 1999, 2000, 2001, 2008 Free Software Foundation, Inc.
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
@@ -957,3 +292,44 @@ if test x = y ; then
fi
])
+dnl Find the location of the private Tcl headers
+dnl When Tcl is installed, this is TCL_INCLUDE_SPEC/tcl-private/generic
+dnl When Tcl is in the build tree, this is not needed.
+dnl
+dnl Note: you must use first use SC_LOAD_TCLCONFIG!
+AC_DEFUN([CY_AC_TCL_PRIVATE_HEADERS], [
+ AC_MSG_CHECKING([for Tcl private headers])
+ private_dir=""
+ dir=`echo ${TCL_INCLUDE_SPEC}/tcl-private/generic | sed -e s/-I//`
+ if test -f ${dir}/tclInt.h ; then
+ private_dir=${dir}
+ fi
+
+ if test x"${private_dir}" = x; then
+ AC_ERROR(could not find private Tcl headers)
+ else
+ TCL_PRIVATE_INCLUDE="-I${private_dir}"
+ AC_MSG_RESULT(${private_dir})
+ fi
+])
+
+dnl Find the location of the private Tk headers
+dnl When Tk is installed, this is TK_INCLUDE_SPEC/tk-private/generic
+dnl When Tk is in the build tree, this not needed.
+dnl
+dnl Note: you must first use SC_LOAD_TKCONFIG
+AC_DEFUN([CY_AC_TK_PRIVATE_HEADERS], [
+ AC_MSG_CHECKING([for Tk private headers])
+ private_dir=""
+ dir=`echo ${TK_INCLUDE_SPEC}/tk-private/generic | sed -e s/-I//`
+ if test -f ${dir}/tkInt.h; then
+ private_dir=${dir}
+ fi
+
+ if test x"${private_dir}" = x; then
+ AC_ERROR(could not find Tk private headers)
+ else
+ TK_PRIVATE_INCLUDE="-I${private_dir}"
+ AC_MSG_RESULT(${private_dir})
+ fi
+])
diff --git a/gdb/configure b/gdb/configure
index 09f59ba..6d87e89 100755
--- a/gdb/configure
+++ b/gdb/configure
@@ -314,7 +314,7 @@ ac_subdirs_all="$ac_subdirs_all doc testsuite"
ac_subdirs_all="$ac_subdirs_all gdbtk"
ac_subdirs_all="$ac_subdirs_all multi-ice"
ac_subdirs_all="$ac_subdirs_all gdbserver"
-ac_subst_vars='SHELL PATH_SEPARATOR PACKAGE_NAME PACKAGE_TARNAME PACKAGE_VERSION PACKAGE_STRING PACKAGE_BUGREPORT exec_prefix prefix program_transform_name bindir sbindir libexecdir datadir sysconfdir sharedstatedir localstatedir libdir includedir oldincludedir infodir mandir build_alias host_alias target_alias DEFS ECHO_C ECHO_N ECHO_T LIBS MAINTAINER_MODE_TRUE MAINTAINER_MODE_FALSE MAINT CC CFLAGS LDFLAGS CPPFLAGS ac_ct_CC EXEEXT OBJEXT CPP EGREP RANLIB ac_ct_RANLIB build build_cpu build_vendor build_os host host_cpu host_vendor host_os target target_cpu target_vendor target_os USE_NLS LIBINTL LIBINTL_DEP INCINTL XGETTEXT GMSGFMT POSUB CATALOGS DATADIRNAME INSTOBJEXT GENCAT CATOBJEXT localedir GL_COND_LIBTOOL_TRUE GL_COND_LIBTOOL_FALSE GNULIB_MEMMEM GNULIB_MEMPCPY GNULIB_MEMRCHR GNULIB_STPCPY GNULIB_STPNCPY GNULIB_STRCHRNUL GNULIB_STRDUP GNULIB_STRNDUP GNULIB_STRNLEN GNULIB_STRPBRK GNULIB_STRSEP GNULIB_STRSTR GNULIB_STRCASESTR GNULIB_STRTOK_R GNULIB_MBSLEN GNULIB_MBSNLEN GNULIB_MBSCHR GNULIB_MBSRCHR GNULIB_MBSSTR GNULIB_MBSCASECMP GNULIB_MBSNCASECMP GNULIB_MBSPCASECMP GNULIB_MBSCASESTR GNULIB_MBSCSPN GNULIB_MBSPBRK GNULIB_MBSSPN GNULIB_MBSSEP GNULIB_MBSTOK_R GNULIB_STRERROR GNULIB_STRSIGNAL HAVE_DECL_MEMMEM HAVE_MEMPCPY HAVE_DECL_MEMRCHR HAVE_STPCPY HAVE_STPNCPY HAVE_STRCHRNUL HAVE_DECL_STRDUP HAVE_STRNDUP HAVE_DECL_STRNDUP HAVE_DECL_STRNLEN HAVE_STRPBRK HAVE_STRSEP HAVE_STRCASESTR HAVE_DECL_STRTOK_R HAVE_DECL_STRERROR HAVE_DECL_STRSIGNAL REPLACE_STRERROR REPLACE_STRSIGNAL REPLACE_MEMMEM REPLACE_STRCASESTR REPLACE_STRSTR HAVE_LONG_LONG_INT HAVE_UNSIGNED_LONG_LONG_INT HAVE_INTTYPES_H HAVE_SYS_TYPES_H INCLUDE_NEXT NEXT_STDINT_H HAVE_STDINT_H HAVE_SYS_INTTYPES_H HAVE_SYS_BITYPES_H BITSIZEOF_PTRDIFF_T BITSIZEOF_SIG_ATOMIC_T BITSIZEOF_SIZE_T BITSIZEOF_WCHAR_T BITSIZEOF_WINT_T HAVE_SIGNED_SIG_ATOMIC_T HAVE_SIGNED_WCHAR_T HAVE_SIGNED_WINT_T PTRDIFF_T_SUFFIX SIG_ATOMIC_T_SUFFIX SIZE_T_SUFFIX WCHAR_T_SUFFIX WINT_T_SUFFIX STDINT_H NEXT_STRING_H GNULIB_WCWIDTH HAVE_DECL_WCWIDTH REPLACE_WCWIDTH WCHAR_H HAVE_WCHAR_H NEXT_WCHAR_H LIBGNU_LIBDEPS LIBGNU_LTLIBDEPS GNULIB_STDINT_H PACKAGE INSTALL_PROGRAM INSTALL_SCRIPT INSTALL_DATA CYGPATH_W VERSION ACLOCAL AUTOCONF AUTOMAKE AUTOHEADER MAKEINFO install_sh STRIP ac_ct_STRIP INSTALL_STRIP_PROGRAM mkdir_p AWK SET_MAKE am__leading_dot AMTAR am__tar am__untar DEPDIR am__include am__quote AMDEP_TRUE AMDEP_FALSE AMDEPBACKSLASH CCDEPMODE am__fastdepCC_TRUE am__fastdepCC_FALSE subdirs TARGET_OBS PKGVERSION REPORT_BUGS_TO REPORT_BUGS_TEXI LN_S YACC AR ac_ct_AR DLLTOOL ac_ct_DLLTOOL WINDRES ac_ct_WINDRES MIG ac_ct_MIG READLINE READLINE_DEPS READLINE_CFLAGS HAVE_LIBEXPAT LIBEXPAT LTLIBEXPAT ALLOCA CONFIG_LDFLAGS TARGET_SYSTEM_ROOT TARGET_SYSTEM_ROOT_DEFINE WARN_CFLAGS WERROR_CFLAGS SER_HARDWIRE WIN32LIBS LIBGUI GUI_CFLAGS_X WIN32LDAPP TCL_VERSION TCL_MAJOR_VERSION TCL_MINOR_VERSION TCL_CC TCL_DEFS TCL_SHLIB_CFLAGS TCL_SHLIB_LD TCL_SHLIB_LD_LIBS TCL_SHLIB_SUFFIX TCL_DL_LIBS TCL_LD_FLAGS TCL_LD_SEARCH_FLAGS TCL_CC_SEARCH_FLAGS TCL_COMPAT_OBJS TCL_RANLIB TCL_BUILD_LIB_SPEC TCL_LIB_SPEC TCL_LIB_VERSIONS_OK TK_VERSION TK_DEFS TK_BUILD_INCLUDES TK_XINCLUDES TK_XLIBSW TK_BUILD_LIB_SPEC TK_LIB_SPEC TCLHDIR TKHDIR ITCLHDIR ITKHDIR ITCL_VERSION ITCL_DEFS ITCL_BUILD_INCLUDES ITCL_BUILD_LIB_SPEC ITCL_LIB_SPEC ITK_VERSION ITK_DEFS ITK_BUILD_INCLUDES ITK_BUILD_LIB_SPEC ITK_LIB_SPEC X_CFLAGS X_LDFLAGS X_LIBS TCL_DEPS TK_DEPS ITCLLIB ITCL_DEPS ITKLIB ITK_DEPS GDBTKLIBS GDBTK_CFLAGS GDBTK_SRC_DIR SIM SIM_OBS ENABLE_CFLAGS PROFILE_CFLAGS CONFIG_OBS CONFIG_DEPS CONFIG_SRCS CONFIG_ALL CONFIG_CLEAN CONFIG_INSTALL CONFIG_UNINSTALL target_subdir frags nm_h LIBICONV LIBOBJS LTLIBOBJS gl_LIBOBJS gl_LTLIBOBJS gltests_LIBOBJS gltests_LTLIBOBJS'
+ac_subst_vars='SHELL PATH_SEPARATOR PACKAGE_NAME PACKAGE_TARNAME PACKAGE_VERSION PACKAGE_STRING PACKAGE_BUGREPORT exec_prefix prefix program_transform_name bindir sbindir libexecdir datadir sysconfdir sharedstatedir localstatedir libdir includedir oldincludedir infodir mandir build_alias host_alias target_alias DEFS ECHO_C ECHO_N ECHO_T LIBS MAINTAINER_MODE_TRUE MAINTAINER_MODE_FALSE MAINT CC CFLAGS LDFLAGS CPPFLAGS ac_ct_CC EXEEXT OBJEXT CPP EGREP RANLIB ac_ct_RANLIB build build_cpu build_vendor build_os host host_cpu host_vendor host_os target target_cpu target_vendor target_os USE_NLS LIBINTL LIBINTL_DEP INCINTL XGETTEXT GMSGFMT POSUB CATALOGS DATADIRNAME INSTOBJEXT GENCAT CATOBJEXT localedir GL_COND_LIBTOOL_TRUE GL_COND_LIBTOOL_FALSE GNULIB_MEMMEM GNULIB_MEMPCPY GNULIB_MEMRCHR GNULIB_STPCPY GNULIB_STPNCPY GNULIB_STRCHRNUL GNULIB_STRDUP GNULIB_STRNDUP GNULIB_STRNLEN GNULIB_STRPBRK GNULIB_STRSEP GNULIB_STRSTR GNULIB_STRCASESTR GNULIB_STRTOK_R GNULIB_MBSLEN GNULIB_MBSNLEN GNULIB_MBSCHR GNULIB_MBSRCHR GNULIB_MBSSTR GNULIB_MBSCASECMP GNULIB_MBSNCASECMP GNULIB_MBSPCASECMP GNULIB_MBSCASESTR GNULIB_MBSCSPN GNULIB_MBSPBRK GNULIB_MBSSPN GNULIB_MBSSEP GNULIB_MBSTOK_R GNULIB_STRERROR GNULIB_STRSIGNAL HAVE_DECL_MEMMEM HAVE_MEMPCPY HAVE_DECL_MEMRCHR HAVE_STPCPY HAVE_STPNCPY HAVE_STRCHRNUL HAVE_DECL_STRDUP HAVE_STRNDUP HAVE_DECL_STRNDUP HAVE_DECL_STRNLEN HAVE_STRPBRK HAVE_STRSEP HAVE_STRCASESTR HAVE_DECL_STRTOK_R HAVE_DECL_STRERROR HAVE_DECL_STRSIGNAL REPLACE_STRERROR REPLACE_STRSIGNAL REPLACE_MEMMEM REPLACE_STRCASESTR REPLACE_STRSTR HAVE_LONG_LONG_INT HAVE_UNSIGNED_LONG_LONG_INT HAVE_INTTYPES_H HAVE_SYS_TYPES_H INCLUDE_NEXT NEXT_STDINT_H HAVE_STDINT_H HAVE_SYS_INTTYPES_H HAVE_SYS_BITYPES_H BITSIZEOF_PTRDIFF_T BITSIZEOF_SIG_ATOMIC_T BITSIZEOF_SIZE_T BITSIZEOF_WCHAR_T BITSIZEOF_WINT_T HAVE_SIGNED_SIG_ATOMIC_T HAVE_SIGNED_WCHAR_T HAVE_SIGNED_WINT_T PTRDIFF_T_SUFFIX SIG_ATOMIC_T_SUFFIX SIZE_T_SUFFIX WCHAR_T_SUFFIX WINT_T_SUFFIX STDINT_H NEXT_STRING_H GNULIB_WCWIDTH HAVE_DECL_WCWIDTH REPLACE_WCWIDTH WCHAR_H HAVE_WCHAR_H NEXT_WCHAR_H LIBGNU_LIBDEPS LIBGNU_LTLIBDEPS GNULIB_STDINT_H PACKAGE INSTALL_PROGRAM INSTALL_SCRIPT INSTALL_DATA CYGPATH_W VERSION ACLOCAL AUTOCONF AUTOMAKE AUTOHEADER MAKEINFO install_sh STRIP ac_ct_STRIP INSTALL_STRIP_PROGRAM mkdir_p AWK SET_MAKE am__leading_dot AMTAR am__tar am__untar DEPDIR am__include am__quote AMDEP_TRUE AMDEP_FALSE AMDEPBACKSLASH CCDEPMODE am__fastdepCC_TRUE am__fastdepCC_FALSE subdirs TARGET_OBS PKGVERSION REPORT_BUGS_TO REPORT_BUGS_TEXI LN_S YACC AR ac_ct_AR DLLTOOL ac_ct_DLLTOOL WINDRES ac_ct_WINDRES MIG ac_ct_MIG READLINE READLINE_DEPS READLINE_CFLAGS HAVE_LIBEXPAT LIBEXPAT LTLIBEXPAT ALLOCA CONFIG_LDFLAGS TARGET_SYSTEM_ROOT TARGET_SYSTEM_ROOT_DEFINE WARN_CFLAGS WERROR_CFLAGS SER_HARDWIRE WIN32LIBS LIBGUI GUI_CFLAGS_X WIN32LDAPP TCL_VERSION TCL_PATCH_LEVEL TCL_BIN_DIR TCL_SRC_DIR TCL_LIB_FILE TCL_LIB_FLAG TCL_LIB_SPEC TCL_STUB_LIB_FILE TCL_STUB_LIB_FLAG TCL_STUB_LIB_SPEC TCL_INCLUDE TCL_LIBRARY TCL_DEPS TK_VERSION TK_BIN_DIR TK_SRC_DIR TK_LIB_FILE TK_LIB_FLAG TK_LIB_SPEC TK_STUB_LIB_FILE TK_STUB_LIB_FLAG TK_STUB_LIB_SPEC TK_INCLUDE TK_LIBRARY TK_DEPS TK_XINCLUDES X_CFLAGS X_LDFLAGS X_LIBS GDBTKLIBS GDBTK_CFLAGS GDBTK_SRC_DIR SIM SIM_OBS ENABLE_CFLAGS PROFILE_CFLAGS CONFIG_OBS CONFIG_DEPS CONFIG_SRCS CONFIG_ALL CONFIG_CLEAN CONFIG_INSTALL CONFIG_UNINSTALL target_subdir frags nm_h LIBICONV LIBOBJS LTLIBOBJS gl_LIBOBJS gl_LTLIBOBJS gltests_LIBOBJS gltests_LTLIBOBJS'
ac_subst_files='host_makefile_frag'
ac_pwd=`pwd`
@@ -894,12 +894,8 @@ Optional Packages:
on systems with version 2 of the GNU C library
(use with caution on other system)
--with-sysroot=DIR Search for usr/lib et al within DIR.
- --with-tclconfig=DIR Directory containing tcl configuration (tclConfig.sh)
- --with-tkconfig=DIR Directory containing tk configuration (tkConfig.sh)
- --with-tclinclude=DIR Directory where tcl private headers are
- --with-tkinclude=DIR Directory where tk private headers are
- --with-itclconfig Directory containing itcl configuration (itclConfig.sh)
- --with-itkconfig Directory containing itk configuration (itkConfig.sh)
+ --with-tcl directory containing tcl configuration (tclConfig.sh)
+ --with-tk directory containing tk configuration (tkConfig.sh)
--with-x use the X Window System
--with-libiconv-prefix=DIR search for libiconv in DIR/include and DIR/lib
@@ -7597,7 +7593,7 @@ echo "$as_me: error: bad value $enableval for --enable-gdbtk" >&2;}
{ (exit 1); exit 1; }; } ;;
esac
else
- if test -d $srcdir/gdbtk -a -d $srcdir/../itcl; then
+ if test -d $srcdir/gdbtk; then
enable_gdbtk=yes
else
enable_gdbtk=no
@@ -24286,105 +24282,181 @@ if test "${enable_gdbtk}" = "yes"; then
cd $here
-#
-# Ok, lets find the tcl configuration
-# First, look for one uninstalled.
-# the alternative search directory is invoked by --with-tclconfig
-#
+ #
+ # Ok, lets find the tcl configuration
+ # First, look for one uninstalled.
+ # the alternative search directory is invoked by --with-tcl
+ #
-if test x"${no_tcl}" = x ; then
- # we reset no_tcl in case something fails here
- no_tcl=true
+ if test x"${no_tcl}" = x ; then
+ # we reset no_tcl in case something fails here
+ no_tcl=true
-# Check whether --with-tclconfig or --without-tclconfig was given.
-if test "${with_tclconfig+set}" = set; then
- withval="$with_tclconfig"
+# Check whether --with-tcl or --without-tcl was given.
+if test "${with_tcl+set}" = set; then
+ withval="$with_tcl"
with_tclconfig=${withval}
fi;
- echo "$as_me:$LINENO: checking for Tcl configuration" >&5
+ echo "$as_me:$LINENO: checking for Tcl configuration" >&5
echo $ECHO_N "checking for Tcl configuration... $ECHO_C" >&6
- if test "${ac_cv_c_tclconfig+set}" = set; then
+ if test "${ac_cv_c_tclconfig+set}" = set; then
echo $ECHO_N "(cached) $ECHO_C" >&6
else
- # First check to see if --with-tclconfig was specified.
- if test x"${with_tclconfig}" != x ; then
- if test -f "${with_tclconfig}/tclConfig.sh" ; then
- ac_cv_c_tclconfig=`(cd ${with_tclconfig}; pwd)`
- else
- { { echo "$as_me:$LINENO: error: ${with_tclconfig} directory doesn't contain tclConfig.sh" >&5
+ # First check to see if --with-tcl was specified.
+ case "${host}" in
+ *-*-cygwin*) platDir="win" ;;
+ *) platDir="unix" ;;
+ esac
+ if test x"${with_tclconfig}" != x ; then
+ if test -f "${with_tclconfig}/tclConfig.sh" ; then
+ ac_cv_c_tclconfig=`(cd ${with_tclconfig}; pwd)`
+ else
+ { { echo "$as_me:$LINENO: error: ${with_tclconfig} directory doesn't contain tclConfig.sh" >&5
echo "$as_me: error: ${with_tclconfig} directory doesn't contain tclConfig.sh" >&2;}
{ (exit 1); exit 1; }; }
- fi
- fi
+ fi
+ fi
+
+ # then check for a private Tcl installation
+ if test x"${ac_cv_c_tclconfig}" = x ; then
+ for i in \
+ ../tcl \
+ `ls -dr ../tcl[8-9].[0-9].[0-9]* 2>/dev/null` \
+ `ls -dr ../tcl[8-9].[0-9] 2>/dev/null` \
+ `ls -dr ../tcl[8-9].[0-9]* 2>/dev/null` \
+ ../../tcl \
+ `ls -dr ../../tcl[8-9].[0-9].[0-9]* 2>/dev/null` \
+ `ls -dr ../../tcl[8-9].[0-9] 2>/dev/null` \
+ `ls -dr ../../tcl[8-9].[0-9]* 2>/dev/null` \
+ ../../../tcl \
+ `ls -dr ../../../tcl[8-9].[0-9].[0-9]* 2>/dev/null` \
+ `ls -dr ../../../tcl[8-9].[0-9] 2>/dev/null` \
+ `ls -dr ../../../tcl[8-9].[0-9]* 2>/dev/null` ; do
+ if test -f "$i/$platDir/tclConfig.sh" ; then
+ ac_cv_c_tclconfig=`(cd $i/$platDir; pwd)`
+ break
+ fi
+ done
+ fi
+
+ # on Darwin, check in Framework installation locations
+ if test "`uname -s`" = "Darwin" -a x"${ac_cv_c_tclconfig}" = x ; then
+ for i in `ls -d ~/Library/Frameworks 2>/dev/null` \
+ `ls -d /Library/Frameworks 2>/dev/null` \
+ `ls -d /Network/Library/Frameworks 2>/dev/null` \
+ `ls -d /System/Library/Frameworks 2>/dev/null` \
+ ; do
+ if test -f "$i/Tcl.framework/tclConfig.sh" ; then
+ ac_cv_c_tclconfig=`(cd $i/Tcl.framework; pwd)`
+ break
+ fi
+ done
+ fi
+
+ # check in a few common install locations
+ if test x"${ac_cv_c_tclconfig}" = x ; then
+ for i in `ls -d ${libdir} 2>/dev/null` \
+ `ls -d ${exec_prefix}/lib 2>/dev/null` \
+ `ls -d ${prefix}/lib 2>/dev/null` \
+ `ls -d /usr/local/lib 2>/dev/null` \
+ `ls -d /usr/contrib/lib 2>/dev/null` \
+ `ls -d /usr/lib 2>/dev/null` \
+ ; do
+ if test -f "$i/tclConfig.sh" ; then
+ ac_cv_c_tclconfig=`(cd $i; pwd)`
+ break
+ fi
+ done
+ fi
- # then check for a private Tcl installation
- if test x"${ac_cv_c_tclconfig}" = x ; then
- for i in \
- ../tcl \
- `ls -dr ../tcl[7-9]* 2>/dev/null` \
- ../../tcl \
- `ls -dr ../../tcl[7-9]* 2>/dev/null` \
- ../../../tcl \
- `ls -dr ../../../tcl[7-9]* 2>/dev/null` ; do
- if test -f "$i/${configdir}/tclConfig.sh" ; then
- ac_cv_c_tclconfig=`(cd $i/${configdir}; pwd)`
- break
- fi
- done
- fi
- # check in a few common install locations
- if test x"${ac_cv_c_tclconfig}" = x ; then
- for i in `ls -d ${prefix}/lib /usr/local/lib 2>/dev/null` ; do
- if test -f "$i/tclConfig.sh" ; then
- ac_cv_c_tclconfig=`(cd $i; pwd)`
- break
- fi
- done
- fi
- # check in a few other private locations
- if test x"${ac_cv_c_tclconfig}" = x ; then
- for i in \
- ${srcdir}/../tcl \
- `ls -dr ${srcdir}/../tcl[7-9]* 2>/dev/null` ; do
- if test -f "$i/${configdir}/tclConfig.sh" ; then
- ac_cv_c_tclconfig=`(cd $i/${configdir}; pwd)`
- break
- fi
- done
- fi
+ # check in a few other private locations
+ if test x"${ac_cv_c_tclconfig}" = x ; then
+ for i in \
+ ${srcdir}/../tcl \
+ `ls -dr ${srcdir}/../tcl[8-9].[0-9].[0-9]* 2>/dev/null` \
+ `ls -dr ${srcdir}/../tcl[8-9].[0-9] 2>/dev/null` \
+ `ls -dr ${srcdir}/../tcl[8-9].[0-9]* 2>/dev/null` ; do
+ if test -f "$i/$platDir/tclConfig.sh" ; then
+ ac_cv_c_tclconfig=`(cd $i/$platDir; pwd)`
+ break
+ fi
+ done
+ fi
fi
- if test x"${ac_cv_c_tclconfig}" = x ; then
- TCLCONFIG="# no Tcl configs found"
- { echo "$as_me:$LINENO: WARNING: Can't find Tcl configuration definitions" >&5
+
+ if test x"${ac_cv_c_tclconfig}" = x ; then
+ TCL_BIN_DIR="# no Tcl configs found"
+ { echo "$as_me:$LINENO: WARNING: Can't find Tcl configuration definitions" >&5
echo "$as_me: WARNING: Can't find Tcl configuration definitions" >&2;}
- else
- no_tcl=
- TCLCONFIG=${ac_cv_c_tclconfig}/tclConfig.sh
- echo "$as_me:$LINENO: result: found $TCLCONFIG" >&5
-echo "${ECHO_T}found $TCLCONFIG" >&6
- fi
-fi
+ exit 0
+ else
+ no_tcl=
+ TCL_BIN_DIR=${ac_cv_c_tclconfig}
+ echo "$as_me:$LINENO: result: found ${TCL_BIN_DIR}/tclConfig.sh" >&5
+echo "${ECHO_T}found ${TCL_BIN_DIR}/tclConfig.sh" >&6
+ fi
+ fi
if test -z "${no_tcl}"; then
- . $TCLCONFIG
-
-
-
-
-
-
-
-
-
-
+ echo "$as_me:$LINENO: checking for existence of ${TCL_BIN_DIR}/tclConfig.sh" >&5
+echo $ECHO_N "checking for existence of ${TCL_BIN_DIR}/tclConfig.sh... $ECHO_C" >&6
+ if test -f "${TCL_BIN_DIR}/tclConfig.sh" ; then
+ echo "$as_me:$LINENO: result: loading" >&5
+echo "${ECHO_T}loading" >&6
+ . ${TCL_BIN_DIR}/tclConfig.sh
+ else
+ echo "$as_me:$LINENO: result: could not find ${TCL_BIN_DIR}/tclConfig.sh" >&5
+echo "${ECHO_T}could not find ${TCL_BIN_DIR}/tclConfig.sh" >&6
+ fi
+ # eval is required to do the TCL_DBGX substitution
+ eval "TCL_LIB_FILE=\"${TCL_LIB_FILE}\""
+ eval "TCL_STUB_LIB_FILE=\"${TCL_STUB_LIB_FILE}\""
+
+ # If the TCL_BIN_DIR is the build directory (not the install directory),
+ # then set the common variable name to the value of the build variables.
+ # For example, the variable TCL_LIB_SPEC will be set to the value
+ # of TCL_BUILD_LIB_SPEC. An extension should make use of TCL_LIB_SPEC
+ # instead of TCL_BUILD_LIB_SPEC since it will work with both an
+ # installed and uninstalled version of Tcl.
+ if test -f ${TCL_BIN_DIR}/Makefile ; then
+ TCL_LIB_SPEC=${TCL_BUILD_LIB_SPEC}
+ TCL_STUB_LIB_SPEC=${TCL_BUILD_STUB_LIB_SPEC}
+ TCL_STUB_LIB_PATH=${TCL_BUILD_STUB_LIB_PATH}
+ elif test "`uname -s`" = "Darwin"; then
+ # If Tcl was built as a framework, attempt to use the libraries
+ # from the framework at the given location so that linking works
+ # against Tcl.framework installed in an arbitary location.
+ case ${TCL_DEFS} in
+ *TCL_FRAMEWORK*)
+ if test -f ${TCL_BIN_DIR}/${TCL_LIB_FILE}; then
+ for i in "`cd ${TCL_BIN_DIR}; pwd`" \
+ "`cd ${TCL_BIN_DIR}/../..; pwd`"; do
+ if test "`basename "$i"`" = "${TCL_LIB_FILE}.framework"; then
+ TCL_LIB_SPEC="-F`dirname "$i"` -framework ${TCL_LIB_FILE}"
+ break
+ fi
+ done
+ fi
+ if test -f ${TCL_BIN_DIR}/${TCL_STUB_LIB_FILE}; then
+ TCL_STUB_LIB_SPEC="-L${TCL_BIN_DIR} ${TCL_STUB_LIB_FLAG}"
+ TCL_STUB_LIB_PATH="${TCL_BIN_DIR}/${TCL_STUB_LIB_FILE}"
+ fi
+ ;;
+ esac
+ fi
+ # eval is required to do the TCL_DBGX substitution
+ eval "TCL_LIB_FLAG=\"${TCL_LIB_FLAG}\""
+ eval "TCL_LIB_SPEC=\"${TCL_LIB_SPEC}\""
+ eval "TCL_STUB_LIB_FLAG=\"${TCL_STUB_LIB_FLAG}\""
+ eval "TCL_STUB_LIB_SPEC=\"${TCL_STUB_LIB_SPEC}\""
@@ -24399,765 +24471,231 @@ fi
-#
-# Ok, lets find the tk configuration
-# First, look for one uninstalled.
-# the alternative search directory is invoked by --with-tkconfig
-#
-if test x"${no_tk}" = x ; then
- # we reset no_tk in case something fails here
- no_tk=true
+ # Check for in-tree tcl
+ here=`pwd`
+ cd ${srcdir}/..
+ topdir=`pwd`
+ cd ${here}
-# Check whether --with-tkconfig or --without-tkconfig was given.
-if test "${with_tkconfig+set}" = set; then
- withval="$with_tkconfig"
- with_tkconfig=${withval}
-fi;
- echo "$as_me:$LINENO: checking for Tk configuration" >&5
-echo $ECHO_N "checking for Tk configuration... $ECHO_C" >&6
- if test "${ac_cv_c_tkconfig+set}" = set; then
- echo $ECHO_N "(cached) $ECHO_C" >&6
-else
+ intree="no"
+ if test "${TCL_SRC_DIR}" = "${topdir}/tcl"; then
+ intree="yes"
+ fi
+ # Find Tcl private headers
+ if test x"${intree}" = xno; then
- # First check to see if --with-tkconfig was specified.
- if test x"${with_tkconfig}" != x ; then
- if test -f "${with_tkconfig}/tkConfig.sh" ; then
- ac_cv_c_tkconfig=`(cd ${with_tkconfig}; pwd)`
- else
- { { echo "$as_me:$LINENO: error: ${with_tkconfig} directory doesn't contain tkConfig.sh" >&5
-echo "$as_me: error: ${with_tkconfig} directory doesn't contain tkConfig.sh" >&2;}
- { (exit 1); exit 1; }; }
- fi
+ echo "$as_me:$LINENO: checking for Tcl private headers" >&5
+echo $ECHO_N "checking for Tcl private headers... $ECHO_C" >&6
+ private_dir=""
+ dir=`echo ${TCL_INCLUDE_SPEC}/tcl-private/generic | sed -e s/-I//`
+ if test -f ${dir}/tclInt.h ; then
+ private_dir=${dir}
fi
- # then check for a private Tk library
- if test x"${ac_cv_c_tkconfig}" = x ; then
- for i in \
- ../tk \
- `ls -dr ../tk[4-9]* 2>/dev/null` \
- ../../tk \
- `ls -dr ../../tk[4-9]* 2>/dev/null` \
- ../../../tk \
- `ls -dr ../../../tk[4-9]* 2>/dev/null` ; do
- if test -f "$i/${configdir}/tkConfig.sh" ; then
- ac_cv_c_tkconfig=`(cd $i/${configdir}; pwd)`
- break
- fi
- done
- fi
- # check in a few common install locations
- if test x"${ac_cv_c_tkconfig}" = x ; then
- for i in `ls -d ${prefix}/lib /usr/local/lib 2>/dev/null` ; do
- if test -f "$i/tkConfig.sh" ; then
- ac_cv_c_tkconfig=`(cd $i; pwd)`
- break
- fi
- done
- fi
- # check in a few other private locations
- if test x"${ac_cv_c_tkconfig}" = x ; then
- for i in \
- ${srcdir}/../tk \
- `ls -dr ${srcdir}/../tk[4-9]* 2>/dev/null` ; do
- if test -f "$i/${configdir}/tkConfig.sh" ; then
- ac_cv_c_tkconfig=`(cd $i/${configdir}; pwd)`
- break
- fi
- done
- fi
-
-fi
-
- if test x"${ac_cv_c_tkconfig}" = x ; then
- TKCONFIG="# no Tk configs found"
- { echo "$as_me:$LINENO: WARNING: Can't find Tk configuration definitions" >&5
-echo "$as_me: WARNING: Can't find Tk configuration definitions" >&2;}
+ if test x"${private_dir}" = x; then
+ { { echo "$as_me:$LINENO: error: could not find private Tcl headers" >&5
+echo "$as_me: error: could not find private Tcl headers" >&2;}
+ { (exit 1); exit 1; }; }
else
- no_tk=
- TKCONFIG=${ac_cv_c_tkconfig}/tkConfig.sh
- echo "$as_me:$LINENO: result: found $TKCONFIG" >&5
-echo "${ECHO_T}found $TKCONFIG" >&6
+ TCL_PRIVATE_INCLUDE="-I${private_dir}"
+ echo "$as_me:$LINENO: result: ${private_dir}" >&5
+echo "${ECHO_T}${private_dir}" >&6
fi
-fi
-
+ TCL_INCLUDE="${TCL_INCLUDE_SPEC} ${TCL_PRIVATE_INCLUDE}"
+ TCL_LIBRARY="${TCL_LIB_SPEC}"
+ TCL_DEPS=""
+ else
+ # If building tcl in the same src tree, private headers
+ # are not needed, but we need to be sure to use the right
+ # headers library
+ TCL_INCLUDE="-I${TCL_SRC_DIR}/generic"
+ TCL_LIBRARY="${TCL_BUILD_LIB_SPEC}"
+ TCL_DEPS="../tcl/${configdir}${TCL_LIB_FILE}"
+ fi
- # now look for Tcl library stuff
- tcldir="../tcl/${configdir}/"
- TCL_DEPS="${tcldir}${TCL_LIB_FILE}"
# If $no_tk is nonempty, then we can't do Tk, and there is no
# point to doing Tcl.
if test -z "${no_tk}"; then
- if test -f "$TKCONFIG" ; then
- . $TKCONFIG
- fi
-
-
-
-
-
-
-
-
-
-
-
-
-
-
-#
-# Ok, lets find the tcl source trees so we can use the headers
-# Warning: transition of version 9 to 10 will break this algorithm
-# because 10 sorts before 9. We also look for just tcl. We have to
-# be careful that we don't match stuff like tclX by accident.
-# the alternative search directory is involked by --with-tclinclude
-#
+ #
+ # Ok, lets find the tk configuration
+ # First, look for one uninstalled.
+ # the alternative search directory is invoked by --with-tk
+ #
-no_tcl=true
-echo "$as_me:$LINENO: checking for Tcl private headers. dir=${configdir}" >&5
-echo $ECHO_N "checking for Tcl private headers. dir=${configdir}... $ECHO_C" >&6
+ if test x"${no_tk}" = x ; then
+ # we reset no_tk in case something fails here
+ no_tk=true
-# Check whether --with-tclinclude or --without-tclinclude was given.
-if test "${with_tclinclude+set}" = set; then
- withval="$with_tclinclude"
- with_tclinclude=${withval}
+# Check whether --with-tk or --without-tk was given.
+if test "${with_tk+set}" = set; then
+ withval="$with_tk"
+ with_tkconfig=${withval}
fi;
-if test "${ac_cv_c_tclh+set}" = set; then
- echo $ECHO_N "(cached) $ECHO_C" >&6
-else
-
-# first check to see if --with-tclinclude was specified
-if test x"${with_tclinclude}" != x ; then
- if test -f ${with_tclinclude}/tclInt.h ; then
- ac_cv_c_tclh=`(cd ${with_tclinclude}; pwd)`
- elif test -f ${with_tclinclude}/generic/tclInt.h ; then
- ac_cv_c_tclh=`(cd ${with_tclinclude}/generic; pwd)`
- else
- { { echo "$as_me:$LINENO: error: ${with_tclinclude} directory doesn't contain private headers" >&5
-echo "$as_me: error: ${with_tclinclude} directory doesn't contain private headers" >&2;}
- { (exit 1); exit 1; }; }
- fi
-fi
-
-# next check if it came with Tcl configuration file
-if test x"${ac_cv_c_tclconfig}" = x ; then
- if test -f $ac_cv_c_tclconfig/../generic/tclInt.h ; then
- ac_cv_c_tclh=`(cd $ac_cv_c_tclconfig/..; pwd)`
- fi
-fi
-
-# next check in private source directory
-#
-# since ls returns lowest version numbers first, reverse its output
-if test x"${ac_cv_c_tclh}" = x ; then
- for i in \
- ${srcdir}/../tcl \
- `ls -dr ${srcdir}/../tcl[7-9]* 2>/dev/null` \
- ${srcdir}/../../tcl \
- `ls -dr ${srcdir}/../../tcl[7-9]* 2>/dev/null` \
- ${srcdir}/../../../tcl \
- `ls -dr ${srcdir}/../../../tcl[7-9]* 2>/dev/null ` ; do
- if test -f $i/generic/tclInt.h ; then
- ac_cv_c_tclh=`(cd $i/generic; pwd)`
- break
- fi
- done
-fi
-# finally check in a few common install locations
-#
-# since ls returns lowest version numbers first, reverse its output
-if test x"${ac_cv_c_tclh}" = x ; then
- for i in \
- `ls -dr /usr/local/src/tcl[7-9]* 2>/dev/null` \
- `ls -dr /usr/local/lib/tcl[7-9]* 2>/dev/null` \
- /usr/local/src/tcl \
- /usr/local/lib/tcl \
- ${prefix}/include ; do
- if test -f $i/generic/tclInt.h ; then
- ac_cv_c_tclh=`(cd $i/generic; pwd)`
- break
- fi
- done
-fi
-# see if one is installed
-if test x"${ac_cv_c_tclh}" = x ; then
- if test "${ac_cv_header_tclInt_h+set}" = set; then
- echo "$as_me:$LINENO: checking for tclInt.h" >&5
-echo $ECHO_N "checking for tclInt.h... $ECHO_C" >&6
-if test "${ac_cv_header_tclInt_h+set}" = set; then
- echo $ECHO_N "(cached) $ECHO_C" >&6
-fi
-echo "$as_me:$LINENO: result: $ac_cv_header_tclInt_h" >&5
-echo "${ECHO_T}$ac_cv_header_tclInt_h" >&6
-else
- # Is the header compilable?
-echo "$as_me:$LINENO: checking tclInt.h usability" >&5
-echo $ECHO_N "checking tclInt.h usability... $ECHO_C" >&6
-cat >conftest.$ac_ext <<_ACEOF
-/* confdefs.h. */
-_ACEOF
-cat confdefs.h >>conftest.$ac_ext
-cat >>conftest.$ac_ext <<_ACEOF
-/* end confdefs.h. */
-$ac_includes_default
-#include <tclInt.h>
-_ACEOF
-rm -f conftest.$ac_objext
-if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
- (eval $ac_compile) 2>conftest.er1
- ac_status=$?
- grep -v '^ *+' conftest.er1 >conftest.err
- rm -f conftest.er1
- cat conftest.err >&5
- echo "$as_me:$LINENO: \$? = $ac_status" >&5
- (exit $ac_status); } &&
- { ac_try='test -z "$ac_c_werror_flag"
- || test ! -s conftest.err'
- { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
- (eval $ac_try) 2>&5
- ac_status=$?
- echo "$as_me:$LINENO: \$? = $ac_status" >&5
- (exit $ac_status); }; } &&
- { ac_try='test -s conftest.$ac_objext'
- { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
- (eval $ac_try) 2>&5
- ac_status=$?
- echo "$as_me:$LINENO: \$? = $ac_status" >&5
- (exit $ac_status); }; }; then
- ac_header_compiler=yes
-else
- echo "$as_me: failed program was:" >&5
-sed 's/^/| /' conftest.$ac_ext >&5
-
-ac_header_compiler=no
-fi
-rm -f conftest.err conftest.$ac_objext conftest.$ac_ext
-echo "$as_me:$LINENO: result: $ac_header_compiler" >&5
-echo "${ECHO_T}$ac_header_compiler" >&6
-
-# Is the header present?
-echo "$as_me:$LINENO: checking tclInt.h presence" >&5
-echo $ECHO_N "checking tclInt.h presence... $ECHO_C" >&6
-cat >conftest.$ac_ext <<_ACEOF
-/* confdefs.h. */
-_ACEOF
-cat confdefs.h >>conftest.$ac_ext
-cat >>conftest.$ac_ext <<_ACEOF
-/* end confdefs.h. */
-#include <tclInt.h>
-_ACEOF
-if { (eval echo "$as_me:$LINENO: \"$ac_cpp conftest.$ac_ext\"") >&5
- (eval $ac_cpp conftest.$ac_ext) 2>conftest.er1
- ac_status=$?
- grep -v '^ *+' conftest.er1 >conftest.err
- rm -f conftest.er1
- cat conftest.err >&5
- echo "$as_me:$LINENO: \$? = $ac_status" >&5
- (exit $ac_status); } >/dev/null; then
- if test -s conftest.err; then
- ac_cpp_err=$ac_c_preproc_warn_flag
- ac_cpp_err=$ac_cpp_err$ac_c_werror_flag
- else
- ac_cpp_err=
- fi
-else
- ac_cpp_err=yes
-fi
-if test -z "$ac_cpp_err"; then
- ac_header_preproc=yes
-else
- echo "$as_me: failed program was:" >&5
-sed 's/^/| /' conftest.$ac_ext >&5
-
- ac_header_preproc=no
-fi
-rm -f conftest.err conftest.$ac_ext
-echo "$as_me:$LINENO: result: $ac_header_preproc" >&5
-echo "${ECHO_T}$ac_header_preproc" >&6
-
-# So? What about this header?
-case $ac_header_compiler:$ac_header_preproc:$ac_c_preproc_warn_flag in
- yes:no: )
- { echo "$as_me:$LINENO: WARNING: tclInt.h: accepted by the compiler, rejected by the preprocessor!" >&5
-echo "$as_me: WARNING: tclInt.h: accepted by the compiler, rejected by the preprocessor!" >&2;}
- { echo "$as_me:$LINENO: WARNING: tclInt.h: proceeding with the compiler's result" >&5
-echo "$as_me: WARNING: tclInt.h: proceeding with the compiler's result" >&2;}
- ac_header_preproc=yes
- ;;
- no:yes:* )
- { echo "$as_me:$LINENO: WARNING: tclInt.h: present but cannot be compiled" >&5
-echo "$as_me: WARNING: tclInt.h: present but cannot be compiled" >&2;}
- { echo "$as_me:$LINENO: WARNING: tclInt.h: check for missing prerequisite headers?" >&5
-echo "$as_me: WARNING: tclInt.h: check for missing prerequisite headers?" >&2;}
- { echo "$as_me:$LINENO: WARNING: tclInt.h: see the Autoconf documentation" >&5
-echo "$as_me: WARNING: tclInt.h: see the Autoconf documentation" >&2;}
- { echo "$as_me:$LINENO: WARNING: tclInt.h: section \"Present But Cannot Be Compiled\"" >&5
-echo "$as_me: WARNING: tclInt.h: section \"Present But Cannot Be Compiled\"" >&2;}
- { echo "$as_me:$LINENO: WARNING: tclInt.h: proceeding with the preprocessor's result" >&5
-echo "$as_me: WARNING: tclInt.h: proceeding with the preprocessor's result" >&2;}
- { echo "$as_me:$LINENO: WARNING: tclInt.h: in the future, the compiler will take precedence" >&5
-echo "$as_me: WARNING: tclInt.h: in the future, the compiler will take precedence" >&2;}
- (
- cat <<\_ASBOX
-## ------------------------------------------ ##
-## Report this to the AC_PACKAGE_NAME lists. ##
-## ------------------------------------------ ##
-_ASBOX
- ) |
- sed "s/^/$as_me: WARNING: /" >&2
- ;;
-esac
-echo "$as_me:$LINENO: checking for tclInt.h" >&5
-echo $ECHO_N "checking for tclInt.h... $ECHO_C" >&6
-if test "${ac_cv_header_tclInt_h+set}" = set; then
+ echo "$as_me:$LINENO: checking for Tk configuration" >&5
+echo $ECHO_N "checking for Tk configuration... $ECHO_C" >&6
+ if test "${ac_cv_c_tkconfig+set}" = set; then
echo $ECHO_N "(cached) $ECHO_C" >&6
else
- ac_cv_header_tclInt_h=$ac_header_preproc
-fi
-echo "$as_me:$LINENO: result: $ac_cv_header_tclInt_h" >&5
-echo "${ECHO_T}$ac_cv_header_tclInt_h" >&6
-
-fi
-if test $ac_cv_header_tclInt_h = yes; then
- ac_cv_c_tclh=installed
-else
- ac_cv_c_tclh=""
-fi
-
-
-fi
-
-fi
-
-if test x"${ac_cv_c_tclh}" = x ; then
- TCLHDIR="# no Tcl private headers found"
- { { echo "$as_me:$LINENO: error: Can't find Tcl private headers" >&5
-echo "$as_me: error: Can't find Tcl private headers" >&2;}
- { (exit 1); exit 1; }; }
-fi
-if test x"${ac_cv_c_tclh}" != x ; then
- no_tcl=""
- if test x"${ac_cv_c_tclh}" = x"installed" ; then
- echo "$as_me:$LINENO: result: is installed" >&5
-echo "${ECHO_T}is installed" >&6
- TCLHDIR=""
- else
- echo "$as_me:$LINENO: result: found in ${ac_cv_c_tclh}" >&5
-echo "${ECHO_T}found in ${ac_cv_c_tclh}" >&6
- # this hack is cause the TCLHDIR won't print if there is a "-I" in it.
- TCLHDIR="-I${ac_cv_c_tclh}"
- fi
-fi
-
-
-#
-# Ok, lets find the tk source trees so we can use the headers
-# If the directory (presumably symlink) named "tk" exists, use that one
-# in preference to any others. Same logic is used when choosing library
-# and again with Tcl. The search order is the best place to look first, then in
-# decreasing significance. The loop breaks if the trigger file is found.
-# Note the gross little conversion here of srcdir by cd'ing to the found
-# directory. This converts the path from a relative to an absolute, so
-# recursive cache variables for the path will work right. We check all
-# the possible paths in one loop rather than many seperate loops to speed
-# things up.
-# the alternative search directory is involked by --with-tkinclude
-#
-no_tk=true
-echo "$as_me:$LINENO: checking for Tk private headers" >&5
-echo $ECHO_N "checking for Tk private headers... $ECHO_C" >&6
-
-# Check whether --with-tkinclude or --without-tkinclude was given.
-if test "${with_tkinclude+set}" = set; then
- withval="$with_tkinclude"
- with_tkinclude=${withval}
-fi;
-if test "${ac_cv_c_tkh+set}" = set; then
- echo $ECHO_N "(cached) $ECHO_C" >&6
-else
-
-# first check to see if --with-tkinclude was specified
-if test x"${with_tkinclude}" != x ; then
- if test -f ${with_tkinclude}/tk.h ; then
- ac_cv_c_tkh=`(cd ${with_tkinclude}; pwd)`
- elif test -f ${with_tkinclude}/generic/tk.h ; then
- ac_cv_c_tkh=`(cd ${with_tkinclude}/generic; pwd)`
- else
- { { echo "$as_me:$LINENO: error: ${with_tkinclude} directory doesn't contain private headers" >&5
-echo "$as_me: error: ${with_tkinclude} directory doesn't contain private headers" >&2;}
+ # First check to see if --with-tkconfig was specified.
+ if test x"${with_tkconfig}" != x ; then
+ if test -f "${with_tkconfig}/tkConfig.sh" ; then
+ ac_cv_c_tkconfig=`(cd ${with_tkconfig}; pwd)`
+ else
+ { { echo "$as_me:$LINENO: error: ${with_tkconfig} directory doesn't contain tkConfig.sh" >&5
+echo "$as_me: error: ${with_tkconfig} directory doesn't contain tkConfig.sh" >&2;}
{ (exit 1); exit 1; }; }
- fi
-fi
-
-# next check if it came with Tk configuration file
-if test x"${ac_cv_c_tkconfig}" = x ; then
- if test -f $ac_cv_c_tkconfig/../generic/tk.h ; then
- ac_cv_c_tkh=`(cd $ac_cv_c_tkconfig/..; pwd)`
- fi
-fi
-
-# next check in private source directory
-#
-# since ls returns lowest version numbers first, reverse its output
-if test x"${ac_cv_c_tkh}" = x ; then
- for i in \
- ${srcdir}/../tk \
- `ls -dr ${srcdir}/../tk[4-9]* 2>/dev/null` \
- ${srcdir}/../../tk \
- `ls -dr ${srcdir}/../../tk[4-9]* 2>/dev/null` \
- ${srcdir}/../../../tk \
- `ls -dr ${srcdir}/../../../tk[4-9]* 2>/dev/null ` ; do
- if test -f $i/generic/tk.h ; then
- ac_cv_c_tkh=`(cd $i/generic; pwd)`
- break
- fi
- done
-fi
-# finally check in a few common install locations
-#
-# since ls returns lowest version numbers first, reverse its output
-if test x"${ac_cv_c_tkh}" = x ; then
- for i in \
- `ls -dr /usr/local/src/tk[4-9]* 2>/dev/null` \
- `ls -dr /usr/local/lib/tk[4-9]* 2>/dev/null` \
- /usr/local/src/tk \
- /usr/local/lib/tk \
- ${prefix}/include ; do
- if test -f $i/generic/tk.h ; then
- ac_cv_c_tkh=`(cd $i/generic; pwd)`
- break
- fi
- done
-fi
-# see if one is installed
-if test x"${ac_cv_c_tkh}" = x ; then
- if test "${ac_cv_header_tk_h+set}" = set; then
- echo "$as_me:$LINENO: checking for tk.h" >&5
-echo $ECHO_N "checking for tk.h... $ECHO_C" >&6
-if test "${ac_cv_header_tk_h+set}" = set; then
- echo $ECHO_N "(cached) $ECHO_C" >&6
-fi
-echo "$as_me:$LINENO: result: $ac_cv_header_tk_h" >&5
-echo "${ECHO_T}$ac_cv_header_tk_h" >&6
-else
- # Is the header compilable?
-echo "$as_me:$LINENO: checking tk.h usability" >&5
-echo $ECHO_N "checking tk.h usability... $ECHO_C" >&6
-cat >conftest.$ac_ext <<_ACEOF
-/* confdefs.h. */
-_ACEOF
-cat confdefs.h >>conftest.$ac_ext
-cat >>conftest.$ac_ext <<_ACEOF
-/* end confdefs.h. */
-$ac_includes_default
-#include <tk.h>
-_ACEOF
-rm -f conftest.$ac_objext
-if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
- (eval $ac_compile) 2>conftest.er1
- ac_status=$?
- grep -v '^ *+' conftest.er1 >conftest.err
- rm -f conftest.er1
- cat conftest.err >&5
- echo "$as_me:$LINENO: \$? = $ac_status" >&5
- (exit $ac_status); } &&
- { ac_try='test -z "$ac_c_werror_flag"
- || test ! -s conftest.err'
- { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
- (eval $ac_try) 2>&5
- ac_status=$?
- echo "$as_me:$LINENO: \$? = $ac_status" >&5
- (exit $ac_status); }; } &&
- { ac_try='test -s conftest.$ac_objext'
- { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
- (eval $ac_try) 2>&5
- ac_status=$?
- echo "$as_me:$LINENO: \$? = $ac_status" >&5
- (exit $ac_status); }; }; then
- ac_header_compiler=yes
-else
- echo "$as_me: failed program was:" >&5
-sed 's/^/| /' conftest.$ac_ext >&5
-
-ac_header_compiler=no
-fi
-rm -f conftest.err conftest.$ac_objext conftest.$ac_ext
-echo "$as_me:$LINENO: result: $ac_header_compiler" >&5
-echo "${ECHO_T}$ac_header_compiler" >&6
-
-# Is the header present?
-echo "$as_me:$LINENO: checking tk.h presence" >&5
-echo $ECHO_N "checking tk.h presence... $ECHO_C" >&6
-cat >conftest.$ac_ext <<_ACEOF
-/* confdefs.h. */
-_ACEOF
-cat confdefs.h >>conftest.$ac_ext
-cat >>conftest.$ac_ext <<_ACEOF
-/* end confdefs.h. */
-#include <tk.h>
-_ACEOF
-if { (eval echo "$as_me:$LINENO: \"$ac_cpp conftest.$ac_ext\"") >&5
- (eval $ac_cpp conftest.$ac_ext) 2>conftest.er1
- ac_status=$?
- grep -v '^ *+' conftest.er1 >conftest.err
- rm -f conftest.er1
- cat conftest.err >&5
- echo "$as_me:$LINENO: \$? = $ac_status" >&5
- (exit $ac_status); } >/dev/null; then
- if test -s conftest.err; then
- ac_cpp_err=$ac_c_preproc_warn_flag
- ac_cpp_err=$ac_cpp_err$ac_c_werror_flag
- else
- ac_cpp_err=
- fi
-else
- ac_cpp_err=yes
-fi
-if test -z "$ac_cpp_err"; then
- ac_header_preproc=yes
-else
- echo "$as_me: failed program was:" >&5
-sed 's/^/| /' conftest.$ac_ext >&5
-
- ac_header_preproc=no
-fi
-rm -f conftest.err conftest.$ac_ext
-echo "$as_me:$LINENO: result: $ac_header_preproc" >&5
-echo "${ECHO_T}$ac_header_preproc" >&6
-
-# So? What about this header?
-case $ac_header_compiler:$ac_header_preproc:$ac_c_preproc_warn_flag in
- yes:no: )
- { echo "$as_me:$LINENO: WARNING: tk.h: accepted by the compiler, rejected by the preprocessor!" >&5
-echo "$as_me: WARNING: tk.h: accepted by the compiler, rejected by the preprocessor!" >&2;}
- { echo "$as_me:$LINENO: WARNING: tk.h: proceeding with the compiler's result" >&5
-echo "$as_me: WARNING: tk.h: proceeding with the compiler's result" >&2;}
- ac_header_preproc=yes
- ;;
- no:yes:* )
- { echo "$as_me:$LINENO: WARNING: tk.h: present but cannot be compiled" >&5
-echo "$as_me: WARNING: tk.h: present but cannot be compiled" >&2;}
- { echo "$as_me:$LINENO: WARNING: tk.h: check for missing prerequisite headers?" >&5
-echo "$as_me: WARNING: tk.h: check for missing prerequisite headers?" >&2;}
- { echo "$as_me:$LINENO: WARNING: tk.h: see the Autoconf documentation" >&5
-echo "$as_me: WARNING: tk.h: see the Autoconf documentation" >&2;}
- { echo "$as_me:$LINENO: WARNING: tk.h: section \"Present But Cannot Be Compiled\"" >&5
-echo "$as_me: WARNING: tk.h: section \"Present But Cannot Be Compiled\"" >&2;}
- { echo "$as_me:$LINENO: WARNING: tk.h: proceeding with the preprocessor's result" >&5
-echo "$as_me: WARNING: tk.h: proceeding with the preprocessor's result" >&2;}
- { echo "$as_me:$LINENO: WARNING: tk.h: in the future, the compiler will take precedence" >&5
-echo "$as_me: WARNING: tk.h: in the future, the compiler will take precedence" >&2;}
- (
- cat <<\_ASBOX
-## ------------------------------------------ ##
-## Report this to the AC_PACKAGE_NAME lists. ##
-## ------------------------------------------ ##
-_ASBOX
- ) |
- sed "s/^/$as_me: WARNING: /" >&2
- ;;
-esac
-echo "$as_me:$LINENO: checking for tk.h" >&5
-echo $ECHO_N "checking for tk.h... $ECHO_C" >&6
-if test "${ac_cv_header_tk_h+set}" = set; then
- echo $ECHO_N "(cached) $ECHO_C" >&6
-else
- ac_cv_header_tk_h=$ac_header_preproc
-fi
-echo "$as_me:$LINENO: result: $ac_cv_header_tk_h" >&5
-echo "${ECHO_T}$ac_cv_header_tk_h" >&6
-
-fi
-if test $ac_cv_header_tk_h = yes; then
- ac_cv_c_tkh=installed
-else
- ac_cv_c_tkh=""
-fi
-
-
-fi
+ fi
+ fi
-fi
+ # then check for a private Tk library
+ case "${host}" in
+ *-*-cygwin*) platDir="win" ;;
+ *) platDir="unix" ;;
+ esac
+ if test x"${ac_cv_c_tkconfig}" = x ; then
+ for i in \
+ ../tk \
+ `ls -dr ../tk[8-9].[0-9].[0-9]* 2>/dev/null` \
+ `ls -dr ../tk[8-9].[0-9] 2>/dev/null` \
+ `ls -dr ../tk[8-9].[0-9]* 2>/dev/null` \
+ ../../tk \
+ `ls -dr ../../tk[8-9].[0-9].[0-9]* 2>/dev/null` \
+ `ls -dr ../../tk[8-9].[0-9] 2>/dev/null` \
+ `ls -dr ../../tk[8-9].[0-9]* 2>/dev/null` \
+ ../../../tk \
+ `ls -dr ../../../tk[8-9].[0-9].[0-9]* 2>/dev/null` \
+ `ls -dr ../../../tk[8-9].[0-9] 2>/dev/null` \
+ `ls -dr ../../../tk[8-9].[0-9]* 2>/dev/null` ; do
+ if test -f "$i/$platDir/tkConfig.sh" ; then
+ ac_cv_c_tkconfig=`(cd $i/$platDir; pwd)`
+ break
+ fi
+ done
+ fi
+
+ # on Darwin, check in Framework installation locations
+ if test "`uname -s`" = "Darwin" -a x"${ac_cv_c_tkconfig}" = x ; then
+ for i in `ls -d ~/Library/Frameworks 2>/dev/null` \
+ `ls -d /Library/Frameworks 2>/dev/null` \
+ `ls -d /Network/Library/Frameworks 2>/dev/null` \
+ `ls -d /System/Library/Frameworks 2>/dev/null` \
+ ; do
+ if test -f "$i/Tk.framework/tkConfig.sh" ; then
+ ac_cv_c_tkconfig=`(cd $i/Tk.framework; pwd)`
+ break
+ fi
+ done
+ fi
+
+ # check in a few common install locations
+ if test x"${ac_cv_c_tkconfig}" = x ; then
+ for i in `ls -d ${libdir} 2>/dev/null` \
+ `ls -d ${exec_prefix}/lib 2>/dev/null` \
+ `ls -d ${prefix}/lib 2>/dev/null` \
+ `ls -d /usr/local/lib 2>/dev/null` \
+ `ls -d /usr/contrib/lib 2>/dev/null` \
+ `ls -d /usr/lib 2>/dev/null` \
+ ; do
+ if test -f "$i/tkConfig.sh" ; then
+ ac_cv_c_tkconfig=`(cd $i; pwd)`
+ break
+ fi
+ done
+ fi
+ # check in a few other private locations
+ if test x"${ac_cv_c_tkconfig}" = x ; then
+ for i in \
+ ${srcdir}/../tk \
+ `ls -dr ${srcdir}/../tk[8-9].[0-9].[0-9]* 2>/dev/null` \
+ `ls -dr ${srcdir}/../tk[8-9].[0-9] 2>/dev/null` \
+ `ls -dr ${srcdir}/../tk[8-9].[0-9]* 2>/dev/null` ; do
+ if test -f "$i/$platDir/tkConfig.sh" ; then
+ ac_cv_c_tkconfig=`(cd $i/$platDir; pwd)`
+ break
+ fi
+ done
+ fi
-if test x"${ac_cv_c_tkh}" != x ; then
- no_tk=""
- if test x"${ac_cv_c_tkh}" = x"installed" ; then
- echo "$as_me:$LINENO: result: is installed" >&5
-echo "${ECHO_T}is installed" >&6
- TKHDIR=""
- else
- echo "$as_me:$LINENO: result: found in ${ac_cv_c_tkh}" >&5
-echo "${ECHO_T}found in ${ac_cv_c_tkh}" >&6
- # this hack is cause the TKHDIR won't print if there is a "-I" in it.
- TKHDIR="-I${ac_cv_c_tkh}"
- fi
-else
- TKHDIR="# no Tk directory found"
- { echo "$as_me:$LINENO: WARNING: Can't find Tk private headers" >&5
-echo "$as_me: WARNING: Can't find Tk private headers" >&2;}
- no_tk=true
fi
-
-
-echo "$as_me:$LINENO: checking for Itcl private headers. srcdir=${srcdir}" >&5
-echo $ECHO_N "checking for Itcl private headers. srcdir=${srcdir}... $ECHO_C" >&6
-if test x"${ac_cv_c_itclh}" = x ; then
- for i in ${srcdir}/../itcl ${srcdir}/../../itcl ${srcdir}/../../../itcl ${srcdir}/../itcl/itcl; do
- if test -f $i/generic/itcl.h ; then
- ac_cv_c_itclh=`(cd $i/generic; pwd)`
- break
- fi
- done
-fi
-if test x"${ac_cv_c_itclh}" = x ; then
- ITCLHDIR="# no Itcl private headers found"
- { { echo "$as_me:$LINENO: error: Can't find Itcl private headers" >&5
-echo "$as_me: error: Can't find Itcl private headers" >&2;}
- { (exit 1); exit 1; }; }
-fi
-if test x"${ac_cv_c_itclh}" != x ; then
- ITCLHDIR="-I${ac_cv_c_itclh}"
-fi
-# should always be here
-# ITCLLIB="../itcl/itcl/unix/libitcl.a"
-
-#AC_SUBST(ITCLLIB)
-
-
-echo "$as_me:$LINENO: checking for Itk private headers. srcdir=${srcdir}" >&5
-echo $ECHO_N "checking for Itk private headers. srcdir=${srcdir}... $ECHO_C" >&6
-if test x"${ac_cv_c_itkh}" = x ; then
- for i in ${srcdir}/../itcl ${srcdir}/../../itcl ${srcdir}/../../../itcl ${srcdir}/../itcl/itk; do
- if test -f $i/generic/itk.h ; then
- ac_cv_c_itkh=`(cd $i/generic; pwd)`
- break
+ if test x"${ac_cv_c_tkconfig}" = x ; then
+ TK_BIN_DIR="# no Tk configs found"
+ { echo "$as_me:$LINENO: WARNING: Can't find Tk configuration definitions" >&5
+echo "$as_me: WARNING: Can't find Tk configuration definitions" >&2;}
+ exit 0
+ else
+ no_tk=
+ TK_BIN_DIR=${ac_cv_c_tkconfig}
+ echo "$as_me:$LINENO: result: found ${TK_BIN_DIR}/tkConfig.sh" >&5
+echo "${ECHO_T}found ${TK_BIN_DIR}/tkConfig.sh" >&6
+ fi
fi
- done
-fi
-if test x"${ac_cv_c_itkh}" = x ; then
- ITKHDIR="# no Itk private headers found"
- { { echo "$as_me:$LINENO: error: Can't find Itk private headers" >&5
-echo "$as_me: error: Can't find Itk private headers" >&2;}
- { (exit 1); exit 1; }; }
-fi
-if test x"${ac_cv_c_itkh}" != x ; then
- ITKHDIR="-I${ac_cv_c_itkh}"
-fi
-# should always be here
-# ITKLIB="../itcl/itk/unix/libitk.a"
-
-#AC_SUBST(ITKLIB)
-
-
- # now look for Tk library stuff
- tkdir="../tk/${configdir}/"
+ echo "$as_me:$LINENO: checking for existence of ${TK_BIN_DIR}/tkConfig.sh" >&5
+echo $ECHO_N "checking for existence of ${TK_BIN_DIR}/tkConfig.sh... $ECHO_C" >&6
- TK_DEPS="${tkdir}${TK_LIB_FILE}"
-
- # now look for Itcl library stuff
-
-
-#
-# Ok, lets find the itcl configuration
-# First, look for one uninstalled.
-# the alternative search directory is invoked by --with-itclconfig
-#
-
-if test x"${no_itcl}" = x ; then
- # we reset no_itcl in case something fails here
- no_itcl=true
-
-# Check whether --with-itclconfig or --without-itclconfig was given.
-if test "${with_itclconfig+set}" = set; then
- withval="$with_itclconfig"
- with_itclconfig=${withval}
-fi;
- echo "$as_me:$LINENO: checking for Itcl configuration" >&5
-echo $ECHO_N "checking for Itcl configuration... $ECHO_C" >&6
- if test "${ac_cv_c_itclconfig+set}" = set; then
- echo $ECHO_N "(cached) $ECHO_C" >&6
-else
-
-
- # First check to see if --with-itclconfig was specified.
- if test x"${with_itclconfig}" != x ; then
- if test -f "${with_itclconfig}/itclConfig.sh" ; then
- ac_cv_c_itclconfig=`(cd ${with_itclconfig}; pwd)`
+ if test -f "${TK_BIN_DIR}/tkConfig.sh" ; then
+ echo "$as_me:$LINENO: result: loading" >&5
+echo "${ECHO_T}loading" >&6
+ . ${TK_BIN_DIR}/tkConfig.sh
else
- { { echo "$as_me:$LINENO: error: ${with_itclconfig} directory doesn't contain itclConfig.sh" >&5
-echo "$as_me: error: ${with_itclconfig} directory doesn't contain itclConfig.sh" >&2;}
- { (exit 1); exit 1; }; }
+ echo "$as_me:$LINENO: result: could not find ${TK_BIN_DIR}/tkConfig.sh" >&5
+echo "${ECHO_T}could not find ${TK_BIN_DIR}/tkConfig.sh" >&6
fi
- fi
-
- # then check for a private Itcl library
- if test x"${ac_cv_c_itclconfig}" = x ; then
- for i in \
- ../itcl/itcl \
- `ls -dr ../itcl[4-9]*/itcl 2>/dev/null` \
- ../../itcl \
- `ls -dr ../../itcl[4-9]*/itcl 2>/dev/null` \
- ../../../itcl \
- `ls -dr ../../../itcl[4-9]*/itcl 2>/dev/null` ; do
- if test -f "$i/itclConfig.sh" ; then
- ac_cv_c_itclconfig=`(cd $i; pwd)`
- break
- fi
- done
- fi
- # check in a few common install locations
- if test x"${ac_cv_c_itclconfig}" = x ; then
- for i in `ls -d ${prefix}/lib /usr/local/lib 2>/dev/null` ; do
- if test -f "$i/itclConfig.sh" ; then
- ac_cv_c_itclconfig=`(cd $i; pwd)`
- break
- fi
- done
- fi
- # check in a few other private locations
- if test x"${ac_cv_c_itclconfig}" = x ; then
- for i in \
- ${srcdir}/../itcl/itcl \
- `ls -dr ${srcdir}/../itcl[4-9]*/itcl 2>/dev/null` ; do
- if test -f "$i/itclConfig.sh" ; then
- ac_cv_c_itclconfig=`(cd $i; pwd)`
- break
- fi
- done
- fi
-fi
-
- if test x"${ac_cv_c_itclconfig}" = x ; then
- ITCLCONFIG="# no Itcl configs found"
- { echo "$as_me:$LINENO: WARNING: Can't find Itcl configuration definitions" >&5
-echo "$as_me: WARNING: Can't find Itcl configuration definitions" >&2;}
- else
- no_itcl=
- ITCLCONFIG=${ac_cv_c_itclconfig}/itclConfig.sh
- echo "$as_me:$LINENO: result: found $ITCLCONFIG" >&5
-echo "${ECHO_T}found $ITCLCONFIG" >&6
- fi
-fi
-
- if test -z "${no_itcl}"; then
-
- if test -f "$ITCLCONFIG" ; then
- . $ITCLCONFIG
+ # eval is required to do the TK_DBGX substitution
+ eval "TK_LIB_FILE=\"${TK_LIB_FILE}\""
+ eval "TK_STUB_LIB_FILE=\"${TK_STUB_LIB_FILE}\""
+
+ # If the TK_BIN_DIR is the build directory (not the install directory),
+ # then set the common variable name to the value of the build variables.
+ # For example, the variable TK_LIB_SPEC will be set to the value
+ # of TK_BUILD_LIB_SPEC. An extension should make use of TK_LIB_SPEC
+ # instead of TK_BUILD_LIB_SPEC since it will work with both an
+ # installed and uninstalled version of Tcl.
+ if test -f ${TK_BIN_DIR}/Makefile ; then
+ TK_LIB_SPEC=${TK_BUILD_LIB_SPEC}
+ TK_STUB_LIB_SPEC=${TK_BUILD_STUB_LIB_SPEC}
+ TK_STUB_LIB_PATH=${TK_BUILD_STUB_LIB_PATH}
+ elif test "`uname -s`" = "Darwin"; then
+ # If Tk was built as a framework, attempt to use the libraries
+ # from the framework at the given location so that linking works
+ # against Tk.framework installed in an arbitary location.
+ case ${TK_DEFS} in
+ *TK_FRAMEWORK*)
+ if test -f ${TK_BIN_DIR}/${TK_LIB_FILE}; then
+ for i in "`cd ${TK_BIN_DIR}; pwd`" \
+ "`cd ${TK_BIN_DIR}/../..; pwd`"; do
+ if test "`basename "$i"`" = "${TK_LIB_FILE}.framework"; then
+ TK_LIB_SPEC="-F`dirname "$i"` -framework ${TK_LIB_FILE}"
+ break
+ fi
+ done
+ fi
+ if test -f ${TK_BIN_DIR}/${TK_STUB_LIB_FILE}; then
+ TK_STUB_LIB_SPEC="-L${TK_BIN_DIR} ${TK_STUB_LIB_FLAG}"
+ TK_STUB_LIB_PATH="${TK_BIN_DIR}/${TK_STUB_LIB_FILE}"
+ fi
+ ;;
+ esac
fi
+ # eval is required to do the TK_DBGX substitution
+ eval "TK_LIB_FLAG=\"${TK_LIB_FLAG}\""
+ eval "TK_LIB_SPEC=\"${TK_LIB_SPEC}\""
+ eval "TK_STUB_LIB_FLAG=\"${TK_STUB_LIB_FLAG}\""
+ eval "TK_STUB_LIB_SPEC=\"${TK_STUB_LIB_SPEC}\""
@@ -25169,122 +24707,53 @@ fi
- ITCLLIB="${ITCL_BUILD_LIB_SPEC}"
- ITCL_DEPS="${ITCL_LIB_FULL_PATH}"
- fi
- # now look for Itk library stuff
-
-#
-# Ok, lets find the itk configuration
-# First, look for one uninstalled.
-# the alternative search directory is invoked by --with-itkconfig
-#
-
-if test x"${no_itk}" = x ; then
- # we reset no_itk in case something fails here
- no_itk=true
-
-# Check whether --with-itkconfig or --without-itkconfig was given.
-if test "${with_itkconfig+set}" = set; then
- withval="$with_itkconfig"
- with_itkconfig=${withval}
-fi;
- echo "$as_me:$LINENO: checking for Itk configuration" >&5
-echo $ECHO_N "checking for Itk configuration... $ECHO_C" >&6
- if test "${ac_cv_c_itkconfig+set}" = set; then
- echo $ECHO_N "(cached) $ECHO_C" >&6
-else
+ # Check for in-tree Tk
+ intree="no"
+ if test "${TK_SRC_DIR}" = "${topdir}/tk"; then
+ intree="yes"
+ fi
- # First check to see if --with-itkconfig was specified.
- if test x"${with_itkconfig}" != x ; then
- if test -f "${with_itkconfig}/itkConfig.sh" ; then
- ac_cv_c_itkconfig=`(cd ${with_itkconfig}; pwd)`
- else
- { { echo "$as_me:$LINENO: error: ${with_itkconfig} directory doesn't contain itkConfig.sh" >&5
-echo "$as_me: error: ${with_itkconfig} directory doesn't contain itkConfig.sh" >&2;}
- { (exit 1); exit 1; }; }
- fi
- fi
+ # Find Tk private headers
+ if test x"${intree}" = xno; then
- # then check for a private Itk library
- if test x"${ac_cv_c_itkconfig}" = x ; then
- for i in \
- ../itcl/itk \
- `ls -dr ../itcl[4-9]*/itk 2>/dev/null` \
- ../../itk \
- `ls -dr ../../itcl[4-9]*/itk 2>/dev/null` \
- ../../../itk \
- `ls -dr ../../../itcl[4-9]*/itk 2>/dev/null` ; do
- if test -f "$i/itkConfig.sh" ; then
- ac_cv_c_itkconfig=`(cd $i; pwd)`
- break
- fi
- done
- fi
- # check in a few common install locations
- if test x"${ac_cv_c_itkconfig}" = x ; then
- for i in `ls -d ${prefix}/lib /usr/local/lib 2>/dev/null` ; do
- if test -f "$i/itkConfig.sh" ; then
- ac_cv_c_itkconfig=`(cd $i; pwd)`
- break
- fi
- done
- fi
- # check in a few other private locations
- if test x"${ac_cv_c_itkconfig}" = x ; then
- for i in \
- ${srcdir}/../itcl/itk \
- `ls -dr ${srcdir}/../itcl[4-9]*/itk 2>/dev/null` ; do
- if test -f "$i/itkConfig.sh" ; then
- ac_cv_c_itkconfig=`(cd $i; pwd)`
- break
- fi
- done
+ echo "$as_me:$LINENO: checking for Tk private headers" >&5
+echo $ECHO_N "checking for Tk private headers... $ECHO_C" >&6
+ private_dir=""
+ dir=`echo ${TK_INCLUDE_SPEC}/tk-private/generic | sed -e s/-I//`
+ if test -f ${dir}/tkInt.h; then
+ private_dir=${dir}
fi
-fi
-
- if test x"${ac_cv_c_itkconfig}" = x ; then
- ITKCONFIG="# no Itk configs found"
- { echo "$as_me:$LINENO: WARNING: Can't find Itk configuration definitions" >&5
-echo "$as_me: WARNING: Can't find Itk configuration definitions" >&2;}
+ if test x"${private_dir}" = x; then
+ { { echo "$as_me:$LINENO: error: could not find Tk private headers" >&5
+echo "$as_me: error: could not find Tk private headers" >&2;}
+ { (exit 1); exit 1; }; }
else
- no_itk=
- ITKCONFIG=${ac_cv_c_itkconfig}/itkConfig.sh
- echo "$as_me:$LINENO: result: found $ITKCONFIG" >&5
-echo "${ECHO_T}found $ITKCONFIG" >&6
+ TK_PRIVATE_INCLUDE="-I${private_dir}"
+ echo "$as_me:$LINENO: result: ${private_dir}" >&5
+echo "${ECHO_T}${private_dir}" >&6
fi
-fi
-
-
- if test -z "${no_itcl}"; then
-
- if test -f "$ITKCONFIG" ; then
- . $ITKCONFIG
- fi
-
-
-
-
-
-
-
+ TK_INCLUDE="${TK_INCLUDE_SPEC} ${TK_PRIVATE_INCLUDE}"
+ TK_LIBRARY=${TK_LIB_SPEC}
+ TK_DEPS=""
+ else
+ TK_INCLUDE="-I${TK_SRC_DIR}/generic"
+ TK_LIBRARY="${TK_BUILD_LIB_SPEC}"
+ TK_DEPS="../tk/${configdir}/${TK_LIB_FILE}"
+ fi
- ITKLIB="${ITK_BUILD_LIB_SPEC}"
- ITK_DEPS="${ITK_LIB_FULL_PATH}"
- fi
ENABLE_CFLAGS="${ENABLE_CFLAGS} \$(SUBDIR_GDBTK_CFLAGS)"
# Include some libraries that Tcl and Tk want.
- TCL_LIBS='$(LIBGUI) $(ITCL) $(ITK) $(TK) $(TCL) $(X11_LDFLAGS) $(X11_LIBS)'
+ TCL_LIBS='$(LIBGUI) $(TK) $(TCL) $(X11_LDFLAGS) $(X11_LIBS)'
# Yes, the ordering seems wrong here. But it isn't.
# TK_LIBS is the list of libraries that need to be linked
# after Tcl/Tk. Note that this isn't put into LIBS. If it
@@ -25321,12 +24790,6 @@ fi
-
-
-
-
-
-
echo "$as_me:$LINENO: checking for X" >&5
echo $ECHO_N "checking for X... $ECHO_C" >&6
@@ -26880,53 +26343,34 @@ s,@LIBGUI@,$LIBGUI,;t t
s,@GUI_CFLAGS_X@,$GUI_CFLAGS_X,;t t
s,@WIN32LDAPP@,$WIN32LDAPP,;t t
s,@TCL_VERSION@,$TCL_VERSION,;t t
-s,@TCL_MAJOR_VERSION@,$TCL_MAJOR_VERSION,;t t
-s,@TCL_MINOR_VERSION@,$TCL_MINOR_VERSION,;t t
-s,@TCL_CC@,$TCL_CC,;t t
-s,@TCL_DEFS@,$TCL_DEFS,;t t
-s,@TCL_SHLIB_CFLAGS@,$TCL_SHLIB_CFLAGS,;t t
-s,@TCL_SHLIB_LD@,$TCL_SHLIB_LD,;t t
-s,@TCL_SHLIB_LD_LIBS@,$TCL_SHLIB_LD_LIBS,;t t
-s,@TCL_SHLIB_SUFFIX@,$TCL_SHLIB_SUFFIX,;t t
-s,@TCL_DL_LIBS@,$TCL_DL_LIBS,;t t
-s,@TCL_LD_FLAGS@,$TCL_LD_FLAGS,;t t
-s,@TCL_LD_SEARCH_FLAGS@,$TCL_LD_SEARCH_FLAGS,;t t
-s,@TCL_CC_SEARCH_FLAGS@,$TCL_CC_SEARCH_FLAGS,;t t
-s,@TCL_COMPAT_OBJS@,$TCL_COMPAT_OBJS,;t t
-s,@TCL_RANLIB@,$TCL_RANLIB,;t t
-s,@TCL_BUILD_LIB_SPEC@,$TCL_BUILD_LIB_SPEC,;t t
+s,@TCL_PATCH_LEVEL@,$TCL_PATCH_LEVEL,;t t
+s,@TCL_BIN_DIR@,$TCL_BIN_DIR,;t t
+s,@TCL_SRC_DIR@,$TCL_SRC_DIR,;t t
+s,@TCL_LIB_FILE@,$TCL_LIB_FILE,;t t
+s,@TCL_LIB_FLAG@,$TCL_LIB_FLAG,;t t
s,@TCL_LIB_SPEC@,$TCL_LIB_SPEC,;t t
-s,@TCL_LIB_VERSIONS_OK@,$TCL_LIB_VERSIONS_OK,;t t
+s,@TCL_STUB_LIB_FILE@,$TCL_STUB_LIB_FILE,;t t
+s,@TCL_STUB_LIB_FLAG@,$TCL_STUB_LIB_FLAG,;t t
+s,@TCL_STUB_LIB_SPEC@,$TCL_STUB_LIB_SPEC,;t t
+s,@TCL_INCLUDE@,$TCL_INCLUDE,;t t
+s,@TCL_LIBRARY@,$TCL_LIBRARY,;t t
+s,@TCL_DEPS@,$TCL_DEPS,;t t
s,@TK_VERSION@,$TK_VERSION,;t t
-s,@TK_DEFS@,$TK_DEFS,;t t
-s,@TK_BUILD_INCLUDES@,$TK_BUILD_INCLUDES,;t t
-s,@TK_XINCLUDES@,$TK_XINCLUDES,;t t
-s,@TK_XLIBSW@,$TK_XLIBSW,;t t
-s,@TK_BUILD_LIB_SPEC@,$TK_BUILD_LIB_SPEC,;t t
+s,@TK_BIN_DIR@,$TK_BIN_DIR,;t t
+s,@TK_SRC_DIR@,$TK_SRC_DIR,;t t
+s,@TK_LIB_FILE@,$TK_LIB_FILE,;t t
+s,@TK_LIB_FLAG@,$TK_LIB_FLAG,;t t
s,@TK_LIB_SPEC@,$TK_LIB_SPEC,;t t
-s,@TCLHDIR@,$TCLHDIR,;t t
-s,@TKHDIR@,$TKHDIR,;t t
-s,@ITCLHDIR@,$ITCLHDIR,;t t
-s,@ITKHDIR@,$ITKHDIR,;t t
-s,@ITCL_VERSION@,$ITCL_VERSION,;t t
-s,@ITCL_DEFS@,$ITCL_DEFS,;t t
-s,@ITCL_BUILD_INCLUDES@,$ITCL_BUILD_INCLUDES,;t t
-s,@ITCL_BUILD_LIB_SPEC@,$ITCL_BUILD_LIB_SPEC,;t t
-s,@ITCL_LIB_SPEC@,$ITCL_LIB_SPEC,;t t
-s,@ITK_VERSION@,$ITK_VERSION,;t t
-s,@ITK_DEFS@,$ITK_DEFS,;t t
-s,@ITK_BUILD_INCLUDES@,$ITK_BUILD_INCLUDES,;t t
-s,@ITK_BUILD_LIB_SPEC@,$ITK_BUILD_LIB_SPEC,;t t
-s,@ITK_LIB_SPEC@,$ITK_LIB_SPEC,;t t
+s,@TK_STUB_LIB_FILE@,$TK_STUB_LIB_FILE,;t t
+s,@TK_STUB_LIB_FLAG@,$TK_STUB_LIB_FLAG,;t t
+s,@TK_STUB_LIB_SPEC@,$TK_STUB_LIB_SPEC,;t t
+s,@TK_INCLUDE@,$TK_INCLUDE,;t t
+s,@TK_LIBRARY@,$TK_LIBRARY,;t t
+s,@TK_DEPS@,$TK_DEPS,;t t
+s,@TK_XINCLUDES@,$TK_XINCLUDES,;t t
s,@X_CFLAGS@,$X_CFLAGS,;t t
s,@X_LDFLAGS@,$X_LDFLAGS,;t t
s,@X_LIBS@,$X_LIBS,;t t
-s,@TCL_DEPS@,$TCL_DEPS,;t t
-s,@TK_DEPS@,$TK_DEPS,;t t
-s,@ITCLLIB@,$ITCLLIB,;t t
-s,@ITCL_DEPS@,$ITCL_DEPS,;t t
-s,@ITKLIB@,$ITKLIB,;t t
-s,@ITK_DEPS@,$ITK_DEPS,;t t
s,@GDBTKLIBS@,$GDBTKLIBS,;t t
s,@GDBTK_CFLAGS@,$GDBTK_CFLAGS,;t t
s,@GDBTK_SRC_DIR@,$GDBTK_SRC_DIR,;t t
diff --git a/gdb/configure.ac b/gdb/configure.ac
index 32d0937..3a55218 100644
--- a/gdb/configure.ac
+++ b/gdb/configure.ac
@@ -282,7 +282,7 @@ AC_ARG_ENABLE(gdbtk,
*)
AC_MSG_ERROR([bad value $enableval for --enable-gdbtk]) ;;
esac],
- [if test -d $srcdir/gdbtk -a -d $srcdir/../itcl; then
+ [if test -d $srcdir/gdbtk; then
enable_gdbtk=yes
else
enable_gdbtk=no
@@ -1514,57 +1514,71 @@ if test "${enable_gdbtk}" = "yes"; then
GDBTK_SRC_DIR=`pwd`
cd $here
- CY_AC_PATH_TCLCONFIG
+ SC_PATH_TCLCONFIG
if test -z "${no_tcl}"; then
- CY_AC_LOAD_TCLCONFIG
- CY_AC_PATH_TKCONFIG
-
- # now look for Tcl library stuff
-
- tcldir="../tcl/${configdir}/"
-
- TCL_DEPS="${tcldir}${TCL_LIB_FILE}"
+ SC_LOAD_TCLCONFIG
+
+ # Check for in-tree tcl
+ here=`pwd`
+ cd ${srcdir}/..
+ topdir=`pwd`
+ cd ${here}
+
+ intree="no"
+ if test "${TCL_SRC_DIR}" = "${topdir}/tcl"; then
+ intree="yes"
+ fi
+
+ # Find Tcl private headers
+ if test x"${intree}" = xno; then
+ CY_AC_TCL_PRIVATE_HEADERS
+ TCL_INCLUDE="${TCL_INCLUDE_SPEC} ${TCL_PRIVATE_INCLUDE}"
+ TCL_LIBRARY="${TCL_LIB_SPEC}"
+ TCL_DEPS=""
+ else
+ # If building tcl in the same src tree, private headers
+ # are not needed, but we need to be sure to use the right
+ # headers library
+ TCL_INCLUDE="-I${TCL_SRC_DIR}/generic"
+ TCL_LIBRARY="${TCL_BUILD_LIB_SPEC}"
+ TCL_DEPS="../tcl/${configdir}${TCL_LIB_FILE}"
+ fi
+ AC_SUBST(TCL_INCLUDE)
+ AC_SUBST(TCL_LIBRARY)
+ AC_SUBST(TCL_DEPS)
# If $no_tk is nonempty, then we can't do Tk, and there is no
# point to doing Tcl.
if test -z "${no_tk}"; then
- CY_AC_LOAD_TKCONFIG
- CY_AC_PATH_TCLH
- CY_AC_PATH_TKH
- CY_AC_PATH_ITCLH
- CY_AC_PATH_ITKH
-
-
- # now look for Tk library stuff
+ SC_PATH_TKCONFIG
+ SC_LOAD_TKCONFIG
- tkdir="../tk/${configdir}/"
-
- TK_DEPS="${tkdir}${TK_LIB_FILE}"
-
- # now look for Itcl library stuff
-
- CY_AC_PATH_ITCLCONFIG
- if test -z "${no_itcl}"; then
- CY_AC_LOAD_ITCLCONFIG
-
- ITCLLIB="${ITCL_BUILD_LIB_SPEC}"
- ITCL_DEPS="${ITCL_LIB_FULL_PATH}"
+ # Check for in-tree Tk
+ intree="no"
+ if test "${TK_SRC_DIR}" = "${topdir}/tk"; then
+ intree="yes"
fi
-
- # now look for Itk library stuff
- CY_AC_PATH_ITKCONFIG
- if test -z "${no_itcl}"; then
- CY_AC_LOAD_ITKCONFIG
-
- ITKLIB="${ITK_BUILD_LIB_SPEC}"
- ITK_DEPS="${ITK_LIB_FULL_PATH}"
+ # Find Tk private headers
+ if test x"${intree}" = xno; then
+ CY_AC_TK_PRIVATE_HEADERS
+ TK_INCLUDE="${TK_INCLUDE_SPEC} ${TK_PRIVATE_INCLUDE}"
+ TK_LIBRARY=${TK_LIB_SPEC}
+ TK_DEPS=""
+ else
+ TK_INCLUDE="-I${TK_SRC_DIR}/generic"
+ TK_LIBRARY="${TK_BUILD_LIB_SPEC}"
+ TK_DEPS="../tk/${configdir}/${TK_LIB_FILE}"
fi
+ AC_SUBST(TK_INCLUDE)
+ AC_SUBST(TK_LIBRARY)
+ AC_SUBST(TK_DEPS)
+ AC_SUBST(TK_XINCLUDES)
ENABLE_CFLAGS="${ENABLE_CFLAGS} \$(SUBDIR_GDBTK_CFLAGS)"
# Include some libraries that Tcl and Tk want.
- TCL_LIBS='$(LIBGUI) $(ITCL) $(ITK) $(TK) $(TCL) $(X11_LDFLAGS) $(X11_LIBS)'
+ TCL_LIBS='$(LIBGUI) $(TK) $(TCL) $(X11_LDFLAGS) $(X11_LIBS)'
# Yes, the ordering seems wrong here. But it isn't.
# TK_LIBS is the list of libraries that need to be linked
# after Tcl/Tk. Note that this isn't put into LIBS. If it
@@ -1594,12 +1608,6 @@ fi
AC_SUBST(X_CFLAGS)
AC_SUBST(X_LDFLAGS)
AC_SUBST(X_LIBS)
-AC_SUBST(TCL_DEPS)
-AC_SUBST(TK_DEPS)
-AC_SUBST(ITCLLIB)
-AC_SUBST(ITCL_DEPS)
-AC_SUBST(ITKLIB)
-AC_SUBST(ITK_DEPS)
AC_SUBST(GDBTKLIBS)
AC_SUBST(GDBTK_CFLAGS)
AC_SUBST(GDBTK_SRC_DIR)